/*
 * GestionInterventions.java
 * Copyright (c) 2012, W4.
 * All rights reserved.
 */

package GestionInterventions.src;

import leon.app.LyApplication;
import leon.app.LyModelListener;
import leon.info.*;
import leon.info.misc.*;
import leon.info.location.*;

/**
 * This class contains static Java accesses to the application model entities.
 * @author W4.
 */
public class GESTIONINTERVENTIONS
{
	/** Access to application: <b>GestionInterventions</b>. */
	public static final String GESTIONINTERVENTIONS = "GestionInterventions";
	protected static LyApplication _application;

	static
	{
		_application = LyApplication.getApplication(GESTIONINTERVENTIONS);
		new LyModelListener(GESTIONINTERVENTIONS.class, _application);
	}


	/*
	 * ********************************************************
	 * 		CLASSES 
	 * ********************************************************
	 */

	/** Access to class: <b>address_class</b>. */
	public static final String CLS_ADDRESS_CLASS = "address_class";
	public static LyClassInfo clsAddressClass = _application.getClassInfo(CLS_ADDRESS_CLASS);

	/** Access to class: <b>attachment_2012_class</b>. */
	public static final String CLS_ATTACHMENT_2012_CLASS = "attachment_2012_class";
	public static LyClassInfo clsAttachment2012Class = _application.getClassInfo(CLS_ATTACHMENT_2012_CLASS);

	/** Access to class: <b>contract_class</b>. */
	public static final String CLS_CONTRACT_CLASS = "contract_class";
	public static LyClassInfo clsContractClass = _application.getClassInfo(CLS_CONTRACT_CLASS);

	/** Access to class: <b>customer_class</b>. */
	public static final String CLS_CUSTOMER_CLASS = "customer_class";
	public static LyClassInfo clsCustomerClass = _application.getClassInfo(CLS_CUSTOMER_CLASS);

	/** Access to class: <b>file_gestion_interventions_eecm_src_contract_class</b>. */
	public static final String CLS_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS = "file_gestion_interventions_eecm_src_contract_class";
	public static LyClassInfo clsFileGestionInterventionsEecmSrcContractClass = _application.getClassInfo(CLS_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS);

	/** Access to class: <b>file_gestion_interventions_eecm_src_document_class</b>. */
	public static final String CLS_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS = "file_gestion_interventions_eecm_src_document_class";
	public static LyClassInfo clsFileGestionInterventionsEecmSrcDocumentClass = _application.getClassInfo(CLS_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS);

	/** Access to class: <b>file_gestion_interventions_eecm_src_intervention_class</b>. */
	public static final String CLS_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS = "file_gestion_interventions_eecm_src_intervention_class";
	public static LyClassInfo clsFileGestionInterventionsEecmSrcInterventionClass = _application.getClassInfo(CLS_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS);

	/** Access to class: <b>interventionType_class</b>. */
	public static final String CLS_INTERVENTION_TYPE_CLASS = "interventionType_class";
	public static LyClassInfo clsInterventionTypeClass = _application.getClassInfo(CLS_INTERVENTION_TYPE_CLASS);

	/** Access to class: <b>intervention_class</b>. */
	public static final String CLS_INTERVENTION_CLASS = "intervention_class";
	public static LyClassInfo clsInterventionClass = _application.getClassInfo(CLS_INTERVENTION_CLASS);

	/** Access to class: <b>interventions_eecm_src_class</b>. */
	public static final String CLS_INTERVENTIONS_EECM_SRC_CLASS = "interventions_eecm_src_class";
	public static LyClassInfo clsInterventionsEecmSrcClass = _application.getClassInfo(CLS_INTERVENTIONS_EECM_SRC_CLASS);

	/** Access to class: <b>month_class</b>. */
	public static final String CLS_MONTH_CLASS = "month_class";
	public static LyClassInfo clsMonthClass = _application.getClassInfo(CLS_MONTH_CLASS);

	/** Access to class: <b>parametrage_class</b>. */
	public static final String CLS_PARAMETRAGE_CLASS = "parametrage_class";
	public static LyClassInfo clsParametrageClass = _application.getClassInfo(CLS_PARAMETRAGE_CLASS);

	/** Access to class: <b>w4_activity_gi_controle_01_class</b>. */
	public static final String CLS_W4_ACTIVITY_GI_CONTROLE_01_CLASS = "w4_activity_gi_controle_01_class";
	public static LyClassInfo clsW4ActivityGiControle01Class = _application.getClassInfo(CLS_W4_ACTIVITY_GI_CONTROLE_01_CLASS);

	/** Access to class: <b>w4_activity_gi_cr_01_class</b>. */
	public static final String CLS_W4_ACTIVITY_GI_CR_01_CLASS = "w4_activity_gi_cr_01_class";
	public static LyClassInfo clsW4ActivityGiCr01Class = _application.getClassInfo(CLS_W4_ACTIVITY_GI_CR_01_CLASS);

	/** Access to class: <b>w4_activity_gi_notif_01_class</b>. */
	public static final String CLS_W4_ACTIVITY_GI_NOTIF_01_CLASS = "w4_activity_gi_notif_01_class";
	public static LyClassInfo clsW4ActivityGiNotif01Class = _application.getClassInfo(CLS_W4_ACTIVITY_GI_NOTIF_01_CLASS);

	/** Access to class: <b>w4_activity_gi_notif_envoi_cr_01_class</b>. */
	public static final String CLS_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_CLASS = "w4_activity_gi_notif_envoi_cr_01_class";
	public static LyClassInfo clsW4ActivityGiNotifEnvoiCr01Class = _application.getClassInfo(CLS_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_CLASS);

	/** Access to class: <b>w4_activity_gi_planif_01_class</b>. */
	public static final String CLS_W4_ACTIVITY_GI_PLANIF_01_CLASS = "w4_activity_gi_planif_01_class";
	public static LyClassInfo clsW4ActivityGiPlanif01Class = _application.getClassInfo(CLS_W4_ACTIVITY_GI_PLANIF_01_CLASS);

	/** Access to class: <b>w4_activity_gi_saisie_01_class</b>. */
	public static final String CLS_W4_ACTIVITY_GI_SAISIE_01_CLASS = "w4_activity_gi_saisie_01_class";
	public static LyClassInfo clsW4ActivityGiSaisie01Class = _application.getClassInfo(CLS_W4_ACTIVITY_GI_SAISIE_01_CLASS);

	/** Access to class: <b>w4_activity_gi_validation_cr_01_class</b>. */
	public static final String CLS_W4_ACTIVITY_GI_VALIDATION_CR_01_CLASS = "w4_activity_gi_validation_cr_01_class";
	public static LyClassInfo clsW4ActivityGiValidationCr01Class = _application.getClassInfo(CLS_W4_ACTIVITY_GI_VALIDATION_CR_01_CLASS);

	/** Access to class: <b>w4_proc_gestion_interventions_rev_1_class</b>. */
	public static final String CLS_W4_PROC_GESTION_INTERVENTIONS_REV_1_CLASS = "w4_proc_gestion_interventions_rev_1_class";
	public static LyClassInfo clsW4ProcGestionInterventionsRev1Class = _application.getClassInfo(CLS_W4_PROC_GESTION_INTERVENTIONS_REV_1_CLASS);

	/** Access to class: <b>workflow_contract_class</b>. */
	public static final String CLS_WORKFLOW_CONTRACT_CLASS = "workflow_contract_class";
	public static LyClassInfo clsWorkflowContractClass = _application.getClassInfo(CLS_WORKFLOW_CONTRACT_CLASS);

	/** Access to class: <b>year_class</b>. */
	public static final String CLS_YEAR_CLASS = "year_class";
	public static LyClassInfo clsYearClass = _application.getClassInfo(CLS_YEAR_CLASS);



	/*
	 * ********************************************************
	 * 		FIELDS 
	 * ********************************************************
	 */

	/** Access to field: <b>act_client_field_5</b>. */
	public static final String FLD_ACT_CLIENT_FIELD_5 = "act_client_field_5";
	public static LyRelationFieldInfo fldActClientField5 = (LyRelationFieldInfo)_application.getInfo(FLD_ACT_CLIENT_FIELD_5);

	/** Access to field: <b>act_date_fin_intervention_field</b>. */
	public static final String FLD_ACT_DATE_FIN_INTERVENTION_FIELD = "act_date_fin_intervention_field";
	public static LyDateFieldInfo fldActDateFinInterventionField = (LyDateFieldInfo)_application.getInfo(FLD_ACT_DATE_FIN_INTERVENTION_FIELD);

	/** Access to field: <b>act_date_intervention_field</b>. */
	public static final String FLD_ACT_DATE_INTERVENTION_FIELD = "act_date_intervention_field";
	public static LyDateFieldInfo fldActDateInterventionField = (LyDateFieldInfo)_application.getInfo(FLD_ACT_DATE_INTERVENTION_FIELD);

	/** Access to field: <b>act_date_intervention_field_1</b>. */
	public static final String FLD_ACT_DATE_INTERVENTION_FIELD_1 = "act_date_intervention_field_1";
	public static LyDateFieldInfo fldActDateInterventionField1 = (LyDateFieldInfo)_application.getInfo(FLD_ACT_DATE_INTERVENTION_FIELD_1);

	/** Access to field: <b>act_date_intervention_field_2</b>. */
	public static final String FLD_ACT_DATE_INTERVENTION_FIELD_2 = "act_date_intervention_field_2";
	public static LyDateFieldInfo fldActDateInterventionField2 = (LyDateFieldInfo)_application.getInfo(FLD_ACT_DATE_INTERVENTION_FIELD_2);

	/** Access to field: <b>act_intervention_a_replanifier_field</b>. */
	public static final String FLD_ACT_INTERVENTION_A_REPLANIFIER_FIELD = "act_intervention_a_replanifier_field";
	public static LyChoiceFieldInfo fldActInterventionAReplanifierField = (LyChoiceFieldInfo)_application.getInfo(FLD_ACT_INTERVENTION_A_REPLANIFIER_FIELD);

	/** Access to field: <b>act_intervention_a_replanifier_field_1</b>. */
	public static final String FLD_ACT_INTERVENTION_A_REPLANIFIER_FIELD_1 = "act_intervention_a_replanifier_field_1";
	public static LyChoiceFieldInfo fldActInterventionAReplanifierField1 = (LyChoiceFieldInfo)_application.getInfo(FLD_ACT_INTERVENTION_A_REPLANIFIER_FIELD_1);

	/** Access to field: <b>act_intervention_conforme_field</b>. */
	public static final String FLD_ACT_INTERVENTION_CONFORME_FIELD = "act_intervention_conforme_field";
	public static LyChoiceFieldInfo fldActInterventionConformeField = (LyChoiceFieldInfo)_application.getInfo(FLD_ACT_INTERVENTION_CONFORME_FIELD);

	/** Access to field: <b>act_intervention_cr_field</b>. */
	public static final String FLD_ACT_INTERVENTION_CR_FIELD = "act_intervention_cr_field";
	public static LyRelationFieldInfo fldActInterventionCrField = (LyRelationFieldInfo)_application.getInfo(FLD_ACT_INTERVENTION_CR_FIELD);

	/** Access to field: <b>act_intervention_demandee_field_6</b>. */
	public static final String FLD_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>act_intervention_resolue_field</b>. */
	public static final String FLD_ACT_INTERVENTION_RESOLUE_FIELD = "act_intervention_resolue_field";
	public static LyChoiceFieldInfo fldActInterventionResolueField = (LyChoiceFieldInfo)_application.getInfo(FLD_ACT_INTERVENTION_RESOLUE_FIELD);

	/** Access to field: <b>act_intervention_resolue_field_1</b>. */
	public static final String FLD_ACT_INTERVENTION_RESOLUE_FIELD_1 = "act_intervention_resolue_field_1";
	public static LyChoiceFieldInfo fldActInterventionResolueField1 = (LyChoiceFieldInfo)_application.getInfo(FLD_ACT_INTERVENTION_RESOLUE_FIELD_1);

	/** Access to field: <b>address_address</b>. */
	public static final String FLD_ADDRESS_ADDRESS = "address_address";
	public static LyTextFieldInfo fldAddressAddress = (LyTextFieldInfo)_application.getInfo(FLD_ADDRESS_ADDRESS);

	/** Access to field: <b>address_city</b>. */
	public static final String FLD_ADDRESS_CITY = "address_city";
	public static LyTextFieldInfo fldAddressCity = (LyTextFieldInfo)_application.getInfo(FLD_ADDRESS_CITY);

	/** Access to field: <b>address_country</b>. */
	public static final String FLD_ADDRESS_COUNTRY = "address_country";
	public static LyTextFieldInfo fldAddressCountry = (LyTextFieldInfo)_application.getInfo(FLD_ADDRESS_COUNTRY);

	/** Access to field: <b>address_id</b>. */
	public static final String FLD_ADDRESS_ID = "address_id";
	public static LyNumberFieldInfo fldAddressId = (LyNumberFieldInfo)_application.getInfo(FLD_ADDRESS_ID);

	/** Access to field: <b>address_latitude</b>. */
	public static final String FLD_ADDRESS_LATITUDE = "address_latitude";
	public static LyNumberFieldInfo fldAddressLatitude = (LyNumberFieldInfo)_application.getInfo(FLD_ADDRESS_LATITUDE);

	/** Access to field: <b>address_longitude</b>. */
	public static final String FLD_ADDRESS_LONGITUDE = "address_longitude";
	public static LyNumberFieldInfo fldAddressLongitude = (LyNumberFieldInfo)_application.getInfo(FLD_ADDRESS_LONGITUDE);

	/** Access to field: <b>address_zipcode</b>. */
	public static final String FLD_ADDRESS_ZIPCODE = "address_zipcode";
	public static LyTextFieldInfo fldAddressZipcode = (LyTextFieldInfo)_application.getInfo(FLD_ADDRESS_ZIPCODE);

	/** Access to field: <b>attachment_2012_class_file_gestion_interventions_document_name_field</b>. */
	public static final String FLD_ATTACHMENT_2012_CLASS_FILE_GESTION_INTERVENTIONS_DOCUMENT_NAME_FIELD = "attachment_2012_class_file_gestion_interventions_document_name_field";
	public static LyTextFieldInfo fldAttachment2012ClassFileGestionInterventionsDocumentNameField = (LyTextFieldInfo)_application.getInfo(FLD_ATTACHMENT_2012_CLASS_FILE_GESTION_INTERVENTIONS_DOCUMENT_NAME_FIELD);

	/** Access to field: <b>attachment_2012_class_file_gestion_interventions_eecm_src_cms_type</b>. */
	public static final String FLD_ATTACHMENT_2012_CLASS_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE = "attachment_2012_class_file_gestion_interventions_eecm_src_cms_type";
	public static LyTextFieldInfo fldAttachment2012ClassFileGestionInterventionsEecmSrcCmsType = (LyTextFieldInfo)_application.getInfo(FLD_ATTACHMENT_2012_CLASS_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE);

	/** Access to field: <b>attachment_2012_currentDate</b>. */
	public static final String FLD_ATTACHMENT_2012_CURRENT_DATE = "attachment_2012_currentDate";
	public static LyDateFieldInfo fldAttachment2012CurrentDate = (LyDateFieldInfo)_application.getInfo(FLD_ATTACHMENT_2012_CURRENT_DATE);

	/** Access to field: <b>client_contract_import_field</b>. */
	public static final String FLD_CLIENT_CONTRACT_IMPORT_FIELD = "client_contract_import_field";
	public static LyRelationFieldInfo fldClientContractImportField = (LyRelationFieldInfo)_application.getInfo(FLD_CLIENT_CONTRACT_IMPORT_FIELD);

	/** Access to field: <b>contract_customer</b>. */
	public static final String FLD_CONTRACT_CUSTOMER = "contract_customer";
	public static LyRelationFieldInfo fldContractCustomer = (LyRelationFieldInfo)_application.getInfo(FLD_CONTRACT_CUSTOMER);

	/** Access to field: <b>contract_description</b>. */
	public static final String FLD_CONTRACT_DESCRIPTION = "contract_description";
	public static LyTextFieldInfo fldContractDescription = (LyTextFieldInfo)_application.getInfo(FLD_CONTRACT_DESCRIPTION);

	/** Access to field: <b>contract_documents</b>. */
	public static final String FLD_CONTRACT_DOCUMENTS = "contract_documents";
	public static LyRelationFieldInfo fldContractDocuments = (LyRelationFieldInfo)_application.getInfo(FLD_CONTRACT_DOCUMENTS);

	/** Access to field: <b>contract_id</b>. */
	public static final String FLD_CONTRACT_ID = "contract_id";
	public static LyNumberFieldInfo fldContractId = (LyNumberFieldInfo)_application.getInfo(FLD_CONTRACT_ID);

	/** Access to field: <b>contract_label</b>. */
	public static final String FLD_CONTRACT_LABEL = "contract_label";
	public static LyTextFieldInfo fldContractLabel = (LyTextFieldInfo)_application.getInfo(FLD_CONTRACT_LABEL);

	/** Access to field: <b>contract_resiliationDate</b>. */
	public static final String FLD_CONTRACT_RESILIATION_DATE = "contract_resiliationDate";
	public static LyDateFieldInfo fldContractResiliationDate = (LyDateFieldInfo)_application.getInfo(FLD_CONTRACT_RESILIATION_DATE);

	/** Access to field: <b>contract_startDate</b>. */
	public static final String FLD_CONTRACT_START_DATE = "contract_startDate";
	public static LyDateFieldInfo fldContractStartDate = (LyDateFieldInfo)_application.getInfo(FLD_CONTRACT_START_DATE);

	/** Access to field: <b>contract_type</b>. */
	public static final String FLD_CONTRACT_TYPE = "contract_type";
	public static LyChoiceFieldInfo fldContractType = (LyChoiceFieldInfo)_application.getInfo(FLD_CONTRACT_TYPE);

	/** Access to field: <b>customer_address</b>. */
	public static final String FLD_CUSTOMER_ADDRESS = "customer_address";
	public static LyRelationFieldInfo fldCustomerAddress = (LyRelationFieldInfo)_application.getInfo(FLD_CUSTOMER_ADDRESS);

	/** Access to field: <b>customer_addressList</b>. */
	public static final String FLD_CUSTOMER_ADDRESS_LIST = "customer_addressList";
	public static LyRelationFieldInfo fldCustomerAddressList = (LyRelationFieldInfo)_application.getInfo(FLD_CUSTOMER_ADDRESS_LIST);

	/** Access to field: <b>customer_civilite</b>. */
	public static final String FLD_CUSTOMER_CIVILITE = "customer_civilite";
	public static LyChoiceFieldInfo fldCustomerCivilite = (LyChoiceFieldInfo)_application.getInfo(FLD_CUSTOMER_CIVILITE);

	/** Access to field: <b>customer_contracts</b>. */
	public static final String FLD_CUSTOMER_CONTRACTS = "customer_contracts";
	public static LyRelationFieldInfo fldCustomerContracts = (LyRelationFieldInfo)_application.getInfo(FLD_CUSTOMER_CONTRACTS);

	/** Access to field: <b>customer_email</b>. */
	public static final String FLD_CUSTOMER_EMAIL = "customer_email";
	public static LyTextFieldInfo fldCustomerEmail = (LyTextFieldInfo)_application.getInfo(FLD_CUSTOMER_EMAIL);

	/** Access to field: <b>customer_id</b>. */
	public static final String FLD_CUSTOMER_ID = "customer_id";
	public static LyNumberFieldInfo fldCustomerId = (LyNumberFieldInfo)_application.getInfo(FLD_CUSTOMER_ID);

	/** Access to field: <b>customer_name</b>. */
	public static final String FLD_CUSTOMER_NAME = "customer_name";
	public static LyTextFieldInfo fldCustomerName = (LyTextFieldInfo)_application.getInfo(FLD_CUSTOMER_NAME);

	/** Access to field: <b>customer_phoneNumber</b>. */
	public static final String FLD_CUSTOMER_PHONE_NUMBER = "customer_phoneNumber";
	public static LyTextFieldInfo fldCustomerPhoneNumber = (LyTextFieldInfo)_application.getInfo(FLD_CUSTOMER_PHONE_NUMBER);

	/** Access to field: <b>customer_provStr</b>. */
	public static final String FLD_CUSTOMER_PROV_STR = "customer_provStr";
	public static LyTextFieldInfo fldCustomerProvStr = (LyTextFieldInfo)_application.getInfo(FLD_CUSTOMER_PROV_STR);

	/** Access to field: <b>customer_provider</b>. */
	public static final String FLD_CUSTOMER_PROVIDER = "customer_provider";
	public static LyChoiceFieldInfo fldCustomerProvider = (LyChoiceFieldInfo)_application.getInfo(FLD_CUSTOMER_PROVIDER);

	/** Access to field: <b>customer_relation_intervention</b>. */
	public static final String FLD_CUSTOMER_RELATION_INTERVENTION = "customer_relation_intervention";
	public static LyRelationFieldInfo fldCustomerRelationIntervention = (LyRelationFieldInfo)_application.getInfo(FLD_CUSTOMER_RELATION_INTERVENTION);

	/** Access to field: <b>customer_surname</b>. */
	public static final String FLD_CUSTOMER_SURNAME = "customer_surname";
	public static LyTextFieldInfo fldCustomerSurname = (LyTextFieldInfo)_application.getInfo(FLD_CUSTOMER_SURNAME);

	/** Access to field: <b>file_gestion_interventions_contract_actif_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_ACTIF_FIELD = "file_gestion_interventions_contract_actif_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsContractActifField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_ACTIF_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_creation_date_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_CREATION_DATE_FIELD = "file_gestion_interventions_contract_creation_date_field";
	public static LyDateFieldInfo fldFileGestionInterventionsContractCreationDateField = (LyDateFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_CREATION_DATE_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_creator_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_CREATOR_FIELD = "file_gestion_interventions_contract_creator_field";
	public static LyTextFieldInfo fldFileGestionInterventionsContractCreatorField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_CREATOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_customer_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_CUSTOMER_FIELD = "file_gestion_interventions_contract_customer_field";
	public static LyTextFieldInfo fldFileGestionInterventionsContractCustomerField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_CUSTOMER_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_has_content_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_HAS_CONTENT_FIELD = "file_gestion_interventions_contract_has_content_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsContractHasContentField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_HAS_CONTENT_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_is_last_version_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_IS_LAST_VERSION_FIELD = "file_gestion_interventions_contract_is_last_version_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsContractIsLastVersionField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_IS_LAST_VERSION_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_is_locked_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_IS_LOCKED_FIELD = "file_gestion_interventions_contract_is_locked_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsContractIsLockedField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_IS_LOCKED_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_last_version_creation_date_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_LAST_VERSION_CREATION_DATE_FIELD = "file_gestion_interventions_contract_last_version_creation_date_field";
	public static LyDateFieldInfo fldFileGestionInterventionsContractLastVersionCreationDateField = (LyDateFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_LAST_VERSION_CREATION_DATE_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_last_version_creator_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_LAST_VERSION_CREATOR_FIELD = "file_gestion_interventions_contract_last_version_creator_field";
	public static LyTextFieldInfo fldFileGestionInterventionsContractLastVersionCreatorField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_LAST_VERSION_CREATOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_locker_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_LOCKER_FIELD = "file_gestion_interventions_contract_locker_field";
	public static LyTextFieldInfo fldFileGestionInterventionsContractLockerField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_LOCKER_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_mime_type_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_MIME_TYPE_FIELD = "file_gestion_interventions_contract_mime_type_field";
	public static LyTextFieldInfo fldFileGestionInterventionsContractMimeTypeField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_MIME_TYPE_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_name_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_NAME_FIELD = "file_gestion_interventions_contract_name_field";
	public static LyTextFieldInfo fldFileGestionInterventionsContractNameField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_NAME_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_version_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_VERSION_FIELD = "file_gestion_interventions_contract_version_field";
	public static LyTextFieldInfo fldFileGestionInterventionsContractVersionField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_VERSION_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_version_major_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_VERSION_MAJOR_FIELD = "file_gestion_interventions_contract_version_major_field";
	public static LyNumberFieldInfo fldFileGestionInterventionsContractVersionMajorField = (LyNumberFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_VERSION_MAJOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_contract_version_minor_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_VERSION_MINOR_FIELD = "file_gestion_interventions_contract_version_minor_field";
	public static LyNumberFieldInfo fldFileGestionInterventionsContractVersionMinorField = (LyNumberFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_CONTRACT_VERSION_MINOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_creation_date_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_CREATION_DATE_FIELD = "file_gestion_interventions_document_creation_date_field";
	public static LyDateFieldInfo fldFileGestionInterventionsDocumentCreationDateField = (LyDateFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_CREATION_DATE_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_creator_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_CREATOR_FIELD = "file_gestion_interventions_document_creator_field";
	public static LyTextFieldInfo fldFileGestionInterventionsDocumentCreatorField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_CREATOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_has_content_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_HAS_CONTENT_FIELD = "file_gestion_interventions_document_has_content_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsDocumentHasContentField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_HAS_CONTENT_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_is_last_version_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_IS_LAST_VERSION_FIELD = "file_gestion_interventions_document_is_last_version_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsDocumentIsLastVersionField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_IS_LAST_VERSION_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_is_locked_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_IS_LOCKED_FIELD = "file_gestion_interventions_document_is_locked_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsDocumentIsLockedField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_IS_LOCKED_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_last_version_creation_date_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_LAST_VERSION_CREATION_DATE_FIELD = "file_gestion_interventions_document_last_version_creation_date_field";
	public static LyDateFieldInfo fldFileGestionInterventionsDocumentLastVersionCreationDateField = (LyDateFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_LAST_VERSION_CREATION_DATE_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_last_version_creator_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_LAST_VERSION_CREATOR_FIELD = "file_gestion_interventions_document_last_version_creator_field";
	public static LyTextFieldInfo fldFileGestionInterventionsDocumentLastVersionCreatorField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_LAST_VERSION_CREATOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_locker_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_LOCKER_FIELD = "file_gestion_interventions_document_locker_field";
	public static LyTextFieldInfo fldFileGestionInterventionsDocumentLockerField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_LOCKER_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_mime_type_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_MIME_TYPE_FIELD = "file_gestion_interventions_document_mime_type_field";
	public static LyTextFieldInfo fldFileGestionInterventionsDocumentMimeTypeField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_MIME_TYPE_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_name_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_NAME_FIELD = "file_gestion_interventions_document_name_field";
	public static LyTextFieldInfo fldFileGestionInterventionsDocumentNameField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_NAME_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_version_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_VERSION_FIELD = "file_gestion_interventions_document_version_field";
	public static LyTextFieldInfo fldFileGestionInterventionsDocumentVersionField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_VERSION_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_version_major_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_VERSION_MAJOR_FIELD = "file_gestion_interventions_document_version_major_field";
	public static LyNumberFieldInfo fldFileGestionInterventionsDocumentVersionMajorField = (LyNumberFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_VERSION_MAJOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_document_version_minor_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_VERSION_MINOR_FIELD = "file_gestion_interventions_document_version_minor_field";
	public static LyNumberFieldInfo fldFileGestionInterventionsDocumentVersionMinorField = (LyNumberFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_DOCUMENT_VERSION_MINOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_document_versions</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_DOCUMENT_VERSIONS = "file_gestion_interventions_eecm_src_cms_document_versions";
	public static LyRelationFieldInfo fldFileGestionInterventionsEecmSrcCmsDocumentVersions = (LyRelationFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_DOCUMENT_VERSIONS);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_document_versions_0</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_DOCUMENT_VERSIONS_0 = "file_gestion_interventions_eecm_src_cms_document_versions_0";
	public static LyRelationFieldInfo fldFileGestionInterventionsEecmSrcCmsDocumentVersions0 = (LyRelationFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_DOCUMENT_VERSIONS_0);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_document_versions_1</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_DOCUMENT_VERSIONS_1 = "file_gestion_interventions_eecm_src_cms_document_versions_1";
	public static LyRelationFieldInfo fldFileGestionInterventionsEecmSrcCmsDocumentVersions1 = (LyRelationFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_DOCUMENT_VERSIONS_1);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_parent_folder_path</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_PARENT_FOLDER_PATH = "file_gestion_interventions_eecm_src_cms_parent_folder_path";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcCmsParentFolderPath = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_PARENT_FOLDER_PATH);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_parent_folder_path_0</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_PARENT_FOLDER_PATH_0 = "file_gestion_interventions_eecm_src_cms_parent_folder_path_0";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcCmsParentFolderPath0 = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_PARENT_FOLDER_PATH_0);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_parent_folder_path_1</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_PARENT_FOLDER_PATH_1 = "file_gestion_interventions_eecm_src_cms_parent_folder_path_1";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcCmsParentFolderPath1 = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_PARENT_FOLDER_PATH_1);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_type</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE = "file_gestion_interventions_eecm_src_cms_type";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcCmsType = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_type_0</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE_0 = "file_gestion_interventions_eecm_src_cms_type_0";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcCmsType0 = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE_0);

	/** Access to field: <b>file_gestion_interventions_eecm_src_cms_type_1</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE_1 = "file_gestion_interventions_eecm_src_cms_type_1";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcCmsType1 = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE_1);

	/** Access to field: <b>file_gestion_interventions_eecm_src_contract_class_cms_isDocument</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_CMS_IS_DOCUMENT = "file_gestion_interventions_eecm_src_contract_class_cms_isDocument";
	public static LyChoiceFieldInfo fldFileGestionInterventionsEecmSrcContractClassCmsIsDocument = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_CMS_IS_DOCUMENT);

	/** Access to field: <b>file_gestion_interventions_eecm_src_document_class_cms_contentLength</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_CONTENT_LENGTH = "file_gestion_interventions_eecm_src_document_class_cms_contentLength";
	public static LyNumberFieldInfo fldFileGestionInterventionsEecmSrcDocumentClassCmsContentLength = (LyNumberFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_CONTENT_LENGTH);

	/** Access to field: <b>file_gestion_interventions_eecm_src_document_class_cms_isDocument</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_IS_DOCUMENT = "file_gestion_interventions_eecm_src_document_class_cms_isDocument";
	public static LyChoiceFieldInfo fldFileGestionInterventionsEecmSrcDocumentClassCmsIsDocument = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_IS_DOCUMENT);

	/** Access to field: <b>file_gestion_interventions_eecm_src_document_class_cms_type</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_TYPE = "file_gestion_interventions_eecm_src_document_class_cms_type";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcDocumentClassCmsType = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_TYPE);

	/** Access to field: <b>file_gestion_interventions_eecm_src_document_class_cms_version</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_VERSION = "file_gestion_interventions_eecm_src_document_class_cms_version";
	public static LyTextFieldInfo fldFileGestionInterventionsEecmSrcDocumentClassCmsVersion = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_CMS_VERSION);

	/** Access to field: <b>file_gestion_interventions_eecm_src_intervention_class_cms_isDocument</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_CMS_IS_DOCUMENT = "file_gestion_interventions_eecm_src_intervention_class_cms_isDocument";
	public static LyChoiceFieldInfo fldFileGestionInterventionsEecmSrcInterventionClassCmsIsDocument = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_CMS_IS_DOCUMENT);

	/** Access to field: <b>file_gestion_interventions_intervention_creation_date_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_CREATION_DATE_FIELD = "file_gestion_interventions_intervention_creation_date_field";
	public static LyDateFieldInfo fldFileGestionInterventionsInterventionCreationDateField = (LyDateFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_CREATION_DATE_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_creator_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_CREATOR_FIELD = "file_gestion_interventions_intervention_creator_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionCreatorField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_CREATOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_customer_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_CUSTOMER_FIELD = "file_gestion_interventions_intervention_customer_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionCustomerField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_CUSTOMER_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_description_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_DESCRIPTION_FIELD = "file_gestion_interventions_intervention_description_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionDescriptionField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_DESCRIPTION_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_has_content_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_HAS_CONTENT_FIELD = "file_gestion_interventions_intervention_has_content_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsInterventionHasContentField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_HAS_CONTENT_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_is_last_version_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_IS_LAST_VERSION_FIELD = "file_gestion_interventions_intervention_is_last_version_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsInterventionIsLastVersionField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_IS_LAST_VERSION_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_is_locked_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_IS_LOCKED_FIELD = "file_gestion_interventions_intervention_is_locked_field";
	public static LyChoiceFieldInfo fldFileGestionInterventionsInterventionIsLockedField = (LyChoiceFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_IS_LOCKED_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_last_version_creation_date_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_LAST_VERSION_CREATION_DATE_FIELD = "file_gestion_interventions_intervention_last_version_creation_date_field";
	public static LyDateFieldInfo fldFileGestionInterventionsInterventionLastVersionCreationDateField = (LyDateFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_LAST_VERSION_CREATION_DATE_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_last_version_creator_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_LAST_VERSION_CREATOR_FIELD = "file_gestion_interventions_intervention_last_version_creator_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionLastVersionCreatorField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_LAST_VERSION_CREATOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_locker_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_LOCKER_FIELD = "file_gestion_interventions_intervention_locker_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionLockerField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_LOCKER_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_mime_type_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_MIME_TYPE_FIELD = "file_gestion_interventions_intervention_mime_type_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionMimeTypeField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_MIME_TYPE_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_name_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_NAME_FIELD = "file_gestion_interventions_intervention_name_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionNameField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_NAME_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_version_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_VERSION_FIELD = "file_gestion_interventions_intervention_version_field";
	public static LyTextFieldInfo fldFileGestionInterventionsInterventionVersionField = (LyTextFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_VERSION_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_version_major_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_VERSION_MAJOR_FIELD = "file_gestion_interventions_intervention_version_major_field";
	public static LyNumberFieldInfo fldFileGestionInterventionsInterventionVersionMajorField = (LyNumberFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_VERSION_MAJOR_FIELD);

	/** Access to field: <b>file_gestion_interventions_intervention_version_minor_field</b>. */
	public static final String FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_VERSION_MINOR_FIELD = "file_gestion_interventions_intervention_version_minor_field";
	public static LyNumberFieldInfo fldFileGestionInterventionsInterventionVersionMinorField = (LyNumberFieldInfo)_application.getInfo(FLD_FILE_GESTION_INTERVENTIONS_INTERVENTION_VERSION_MINOR_FIELD);

	/** Access to field: <b>interventionType_Id</b>. */
	public static final String FLD_INTERVENTION_TYPE_ID = "interventionType_Id";
	public static LyNumberFieldInfo fldInterventionTypeId = (LyNumberFieldInfo)_application.getInfo(FLD_INTERVENTION_TYPE_ID);

	/** Access to field: <b>interventionType_Name</b>. */
	public static final String FLD_INTERVENTION_TYPE_NAME = "interventionType_Name";
	public static LyTextFieldInfo fldInterventionTypeName = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_TYPE_NAME);

	/** Access to field: <b>interventionType_intervention</b>. */
	public static final String FLD_INTERVENTION_TYPE_INTERVENTION = "interventionType_intervention";
	public static LyRelationFieldInfo fldInterventionTypeIntervention = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_TYPE_INTERVENTION);

	/** Access to field: <b>intervention_AddressList</b>. */
	public static final String FLD_INTERVENTION_ADDRESS_LIST = "intervention_AddressList";
	public static LyRelationFieldInfo fldInterventionAddressList = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_ADDRESS_LIST);

	/** Access to field: <b>intervention_CRComment</b>. */
	public static final String FLD_INTERVENTION_CRCOMMENT = "intervention_CRComment";
	public static LyTextFieldInfo fldInterventionCrcomment = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_CRCOMMENT);

	/** Access to field: <b>intervention_address</b>. */
	public static final String FLD_INTERVENTION_ADDRESS = "intervention_address";
	public static LyRelationFieldInfo fldInterventionAddress = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_ADDRESS);

	/** Access to field: <b>intervention_cli</b>. */
	public static final String FLD_INTERVENTION_CLI = "intervention_cli";
	public static LyRelationFieldInfo fldInterventionCli = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_CLI);

	/** Access to field: <b>intervention_contactNum</b>. */
	public static final String FLD_INTERVENTION_CONTACT_NUM = "intervention_contactNum";
	public static LyTextFieldInfo fldInterventionContactNum = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_CONTACT_NUM);

	/** Access to field: <b>intervention_dateEnvoiCR</b>. */
	public static final String FLD_INTERVENTION_DATE_ENVOI_CR = "intervention_dateEnvoiCR";
	public static LyDateFieldInfo fldInterventionDateEnvoiCr = (LyDateFieldInfo)_application.getInfo(FLD_INTERVENTION_DATE_ENVOI_CR);

	/** Access to field: <b>intervention_dateIntervention</b>. */
	public static final String FLD_INTERVENTION_DATE_INTERVENTION = "intervention_dateIntervention";
	public static LyDateFieldInfo fldInterventionDateIntervention = (LyDateFieldInfo)_application.getInfo(FLD_INTERVENTION_DATE_INTERVENTION);

	/** Access to field: <b>intervention_desc</b>. */
	public static final String FLD_INTERVENTION_DESC = "intervention_desc";
	public static LyTextFieldInfo fldInterventionDesc = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_DESC);

	/** Access to field: <b>intervention_domaine</b>. */
	public static final String FLD_INTERVENTION_DOMAINE = "intervention_domaine";
	public static LyRelationFieldInfo fldInterventionDomaine = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_DOMAINE);

	/** Access to field: <b>intervention_endDate</b>. */
	public static final String FLD_INTERVENTION_END_DATE = "intervention_endDate";
	public static LyDateFieldInfo fldInterventionEndDate = (LyDateFieldInfo)_application.getInfo(FLD_INTERVENTION_END_DATE);

	/** Access to field: <b>intervention_endDateScheduled</b>. */
	public static final String FLD_INTERVENTION_END_DATE_SCHEDULED = "intervention_endDateScheduled";
	public static LyDateFieldInfo fldInterventionEndDateScheduled = (LyDateFieldInfo)_application.getInfo(FLD_INTERVENTION_END_DATE_SCHEDULED);

	/** Access to field: <b>intervention_endDate_gantt</b>. */
	public static final String FLD_INTERVENTION_END_DATE_GANTT = "intervention_endDate_gantt";
	public static LyDateFieldInfo fldInterventionEndDateGantt = (LyDateFieldInfo)_application.getInfo(FLD_INTERVENTION_END_DATE_GANTT);

	/** Access to field: <b>intervention_fournisseurStr</b>. */
	public static final String FLD_INTERVENTION_FOURNISSEUR_STR = "intervention_fournisseurStr";
	public static LyTextFieldInfo fldInterventionFournisseurStr = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_FOURNISSEUR_STR);

	/** Access to field: <b>intervention_id</b>. */
	public static final String FLD_INTERVENTION_ID = "intervention_id";
	public static LyNumberFieldInfo fldInterventionId = (LyNumberFieldInfo)_application.getInfo(FLD_INTERVENTION_ID);

	/** Access to field: <b>intervention_import_latitude</b>. */
	public static final String FLD_INTERVENTION_IMPORT_LATITUDE = "intervention_import_latitude";
	public static LyNumberFieldInfo fldInterventionImportLatitude = (LyNumberFieldInfo)_application.getInfo(FLD_INTERVENTION_IMPORT_LATITUDE);

	/** Access to field: <b>intervention_import_longitude</b>. */
	public static final String FLD_INTERVENTION_IMPORT_LONGITUDE = "intervention_import_longitude";
	public static LyNumberFieldInfo fldInterventionImportLongitude = (LyNumberFieldInfo)_application.getInfo(FLD_INTERVENTION_IMPORT_LONGITUDE);

	/** Access to field: <b>intervention_month</b>. */
	public static final String FLD_INTERVENTION_MONTH = "intervention_month";
	public static LyRelationFieldInfo fldInterventionMonth = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_MONTH);

	/** Access to field: <b>intervention_name</b>. */
	public static final String FLD_INTERVENTION_NAME = "intervention_name";
	public static LyTextFieldInfo fldInterventionName = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_NAME);

	/** Access to field: <b>intervention_startDate</b>. */
	public static final String FLD_INTERVENTION_START_DATE = "intervention_startDate";
	public static LyDateFieldInfo fldInterventionStartDate = (LyDateFieldInfo)_application.getInfo(FLD_INTERVENTION_START_DATE);

	/** Access to field: <b>intervention_startDate_gantt</b>. */
	public static final String FLD_INTERVENTION_START_DATE_GANTT = "intervention_startDate_gantt";
	public static LyDateFieldInfo fldInterventionStartDateGantt = (LyDateFieldInfo)_application.getInfo(FLD_INTERVENTION_START_DATE_GANTT);

	/** Access to field: <b>intervention_statut</b>. */
	public static final String FLD_INTERVENTION_STATUT = "intervention_statut";
	public static LyTextFieldInfo fldInterventionStatut = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_STATUT);

	/** Access to field: <b>intervention_type</b>. */
	public static final String FLD_INTERVENTION_TYPE = "intervention_type";
	public static LyRelationFieldInfo fldInterventionType = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_TYPE);

	/** Access to field: <b>intervention_ville</b>. */
	public static final String FLD_INTERVENTION_VILLE = "intervention_ville";
	public static LyTextFieldInfo fldInterventionVille = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_VILLE);

	/** Access to field: <b>intervention_workcase</b>. */
	public static final String FLD_INTERVENTION_WORKCASE = "intervention_workcase";
	public static LyNumberFieldInfo fldInterventionWorkcase = (LyNumberFieldInfo)_application.getInfo(FLD_INTERVENTION_WORKCASE);

	/** Access to field: <b>intervention_workcaseRel</b>. */
	public static final String FLD_INTERVENTION_WORKCASE_REL = "intervention_workcaseRel";
	public static LyRelationFieldInfo fldInterventionWorkcaseRel = (LyRelationFieldInfo)_application.getInfo(FLD_INTERVENTION_WORKCASE_REL);

	/** Access to field: <b>intervention_year</b>. */
	public static final String FLD_INTERVENTION_YEAR = "intervention_year";
	public static LyTextFieldInfo fldInterventionYear = (LyTextFieldInfo)_application.getInfo(FLD_INTERVENTION_YEAR);

	/** Access to field: <b>month_id</b>. */
	public static final String FLD_MONTH_ID = "month_id";
	public static LyTextFieldInfo fldMonthId = (LyTextFieldInfo)_application.getInfo(FLD_MONTH_ID);

	/** Access to field: <b>month_name</b>. */
	public static final String FLD_MONTH_NAME = "month_name";
	public static LyTextFieldInfo fldMonthName = (LyTextFieldInfo)_application.getInfo(FLD_MONTH_NAME);

	/** Access to field: <b>month_relation_year</b>. */
	public static final String FLD_MONTH_RELATION_YEAR = "month_relation_year";
	public static LyRelationFieldInfo fldMonthRelationYear = (LyRelationFieldInfo)_application.getInfo(FLD_MONTH_RELATION_YEAR);

	/** Access to field: <b>parametrage_callWS</b>. */
	public static final String FLD_PARAMETRAGE_CALL_WS = "parametrage_callWS";
	public static LyChoiceFieldInfo fldParametrageCallWs = (LyChoiceFieldInfo)_application.getInfo(FLD_PARAMETRAGE_CALL_WS);

	/** Access to field: <b>parametrage_id</b>. */
	public static final String FLD_PARAMETRAGE_ID = "parametrage_id";
	public static LyNumberFieldInfo fldParametrageId = (LyNumberFieldInfo)_application.getInfo(FLD_PARAMETRAGE_ID);

	/** Access to field: <b>parametrage_name</b>. */
	public static final String FLD_PARAMETRAGE_NAME = "parametrage_name";
	public static LyTextFieldInfo fldParametrageName = (LyTextFieldInfo)_application.getInfo(FLD_PARAMETRAGE_NAME);

	/** Access to field: <b>parametrage_sendMail</b>. */
	public static final String FLD_PARAMETRAGE_SEND_MAIL = "parametrage_sendMail";
	public static LyChoiceFieldInfo fldParametrageSendMail = (LyChoiceFieldInfo)_application.getInfo(FLD_PARAMETRAGE_SEND_MAIL);

	/** Access to field: <b>proc_client_field</b>. */
	public static final String FLD_PROC_CLIENT_FIELD = "proc_client_field";
	public static LyRelationFieldInfo fldProcClientField = (LyRelationFieldInfo)_application.getInfo(FLD_PROC_CLIENT_FIELD);

	/** Access to field: <b>proc_date_fin_intervention_field</b>. */
	public static final String FLD_PROC_DATE_FIN_INTERVENTION_FIELD = "proc_date_fin_intervention_field";
	public static LyDateFieldInfo fldProcDateFinInterventionField = (LyDateFieldInfo)_application.getInfo(FLD_PROC_DATE_FIN_INTERVENTION_FIELD);

	/** Access to field: <b>proc_date_intervention_field</b>. */
	public static final String FLD_PROC_DATE_INTERVENTION_FIELD = "proc_date_intervention_field";
	public static LyDateFieldInfo fldProcDateInterventionField = (LyDateFieldInfo)_application.getInfo(FLD_PROC_DATE_INTERVENTION_FIELD);

	/** Access to field: <b>proc_file_input_field</b>. */
	public static final String FLD_PROC_FILE_INPUT_FIELD = "proc_file_input_field";
	public static LyRelationFieldInfo fldProcFileInputField = (LyRelationFieldInfo)_application.getInfo(FLD_PROC_FILE_INPUT_FIELD);

	/** Access to field: <b>proc_intervention_a_replanifier_field</b>. */
	public static final String FLD_PROC_INTERVENTION_A_REPLANIFIER_FIELD = "proc_intervention_a_replanifier_field";
	public static LyTextFieldInfo fldProcInterventionAReplanifierField = (LyTextFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_A_REPLANIFIER_FIELD);

	/** Access to field: <b>proc_intervention_acteur_field</b>. */
	public static final String FLD_PROC_INTERVENTION_ACTEUR_FIELD = "proc_intervention_acteur_field";
	public static LyTextFieldInfo fldProcInterventionActeurField = (LyTextFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_ACTEUR_FIELD);

	/** Access to field: <b>proc_intervention_conforme_field</b>. */
	public static final String FLD_PROC_INTERVENTION_CONFORME_FIELD = "proc_intervention_conforme_field";
	public static LyTextFieldInfo fldProcInterventionConformeField = (LyTextFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_CONFORME_FIELD);

	/** Access to field: <b>proc_intervention_cr_field</b>. */
	public static final String FLD_PROC_INTERVENTION_CR_FIELD = "proc_intervention_cr_field";
	public static LyRelationFieldInfo fldProcInterventionCrField = (LyRelationFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_CR_FIELD);

	/** Access to field: <b>proc_intervention_cr_list_array_field</b>. */
	public static final String FLD_PROC_INTERVENTION_CR_LIST_ARRAY_FIELD = "proc_intervention_cr_list_array_field";
	public static LyRelationFieldInfo fldProcInterventionCrListArrayField = (LyRelationFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_CR_LIST_ARRAY_FIELD);

	/** Access to field: <b>proc_intervention_cr_list_field</b>. */
	public static final String FLD_PROC_INTERVENTION_CR_LIST_FIELD = "proc_intervention_cr_list_field";
	public static LyArrayFieldInfo fldProcInterventionCrListField = (LyArrayFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_CR_LIST_FIELD);

	/** Access to field: <b>proc_intervention_demandee_field</b>. */
	public static final String FLD_PROC_INTERVENTION_DEMANDEE_FIELD = "proc_intervention_demandee_field";
	public static LyRelationFieldInfo fldProcInterventionDemandeeField = (LyRelationFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_DEMANDEE_FIELD);

	/** Access to field: <b>proc_intervention_fournisseur_field</b>. */
	public static final String FLD_PROC_INTERVENTION_FOURNISSEUR_FIELD = "proc_intervention_fournisseur_field";
	public static LyTextFieldInfo fldProcInterventionFournisseurField = (LyTextFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_FOURNISSEUR_FIELD);

	/** Access to field: <b>proc_intervention_resolue_field</b>. */
	public static final String FLD_PROC_INTERVENTION_RESOLUE_FIELD = "proc_intervention_resolue_field";
	public static LyTextFieldInfo fldProcInterventionResolueField = (LyTextFieldInfo)_application.getInfo(FLD_PROC_INTERVENTION_RESOLUE_FIELD);

	/** Access to field: <b>proc_mail_destinataire_field</b>. */
	public static final String FLD_PROC_MAIL_DESTINATAIRE_FIELD = "proc_mail_destinataire_field";
	public static LyTextFieldInfo fldProcMailDestinataireField = (LyTextFieldInfo)_application.getInfo(FLD_PROC_MAIL_DESTINATAIRE_FIELD);

	/** Access to field: <b>proc_nb_interventions_field</b>. */
	public static final String FLD_PROC_NB_INTERVENTIONS_FIELD = "proc_nb_interventions_field";
	public static LyNumberFieldInfo fldProcNbInterventionsField = (LyNumberFieldInfo)_application.getInfo(FLD_PROC_NB_INTERVENTIONS_FIELD);

	/** Access to field: <b>task_CR_addressIntervention</b>. */
	public static final String FLD_TASK_CR_ADDRESS_INTERVENTION = "task_CR_addressIntervention";
	public static LyRelationFieldInfo fldTaskCrAddressIntervention = (LyRelationFieldInfo)_application.getInfo(FLD_TASK_CR_ADDRESS_INTERVENTION);

	/** Access to field: <b>task_CR_typeIntervention</b>. */
	public static final String FLD_TASK_CR_TYPE_INTERVENTION = "task_CR_typeIntervention";
	public static LyRelationFieldInfo fldTaskCrTypeIntervention = (LyRelationFieldInfo)_application.getInfo(FLD_TASK_CR_TYPE_INTERVENTION);

	/** Access to field: <b>task_notif_addressIntervention</b>. */
	public static final String FLD_TASK_NOTIF_ADDRESS_INTERVENTION = "task_notif_addressIntervention";
	public static LyRelationFieldInfo fldTaskNotifAddressIntervention = (LyRelationFieldInfo)_application.getInfo(FLD_TASK_NOTIF_ADDRESS_INTERVENTION);

	/** Access to field: <b>task_notif_typeIntervention</b>. */
	public static final String FLD_TASK_NOTIF_TYPE_INTERVENTION = "task_notif_typeIntervention";
	public static LyRelationFieldInfo fldTaskNotifTypeIntervention = (LyRelationFieldInfo)_application.getInfo(FLD_TASK_NOTIF_TYPE_INTERVENTION);

	/** Access to field: <b>w4_activity_gi_controle_01_class_act_intervention_demandee_field_6</b>. */
	public static final String FLD_W4_ACTIVITY_GI_CONTROLE_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "w4_activity_gi_controle_01_class_act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldW4ActivityGiControle01ClassActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_CONTROLE_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>w4_activity_gi_controle_01_class_w4_task_id</b>. */
	public static final String FLD_W4_ACTIVITY_GI_CONTROLE_01_CLASS_W4_TASK_ID = "w4_activity_gi_controle_01_class_w4_task_id";
	public static LyNumberFieldInfo fldW4ActivityGiControle01ClassW4TaskId = (LyNumberFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_CONTROLE_01_CLASS_W4_TASK_ID);

	/** Access to field: <b>w4_activity_gi_controle_01_class_w4_task_workcase</b>. */
	public static final String FLD_W4_ACTIVITY_GI_CONTROLE_01_CLASS_W4_TASK_WORKCASE = "w4_activity_gi_controle_01_class_w4_task_workcase";
	public static LyRelationFieldInfo fldW4ActivityGiControle01ClassW4TaskWorkcase = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_CONTROLE_01_CLASS_W4_TASK_WORKCASE);

	/** Access to field: <b>w4_activity_gi_cr_01_class_act_intervention_demandee_field_6</b>. */
	public static final String FLD_W4_ACTIVITY_GI_CR_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "w4_activity_gi_cr_01_class_act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldW4ActivityGiCr01ClassActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_CR_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>w4_activity_gi_notif_01_class_act_intervention_demandee_field_6</b>. */
	public static final String FLD_W4_ACTIVITY_GI_NOTIF_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "w4_activity_gi_notif_01_class_act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldW4ActivityGiNotif01ClassActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_NOTIF_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>w4_activity_gi_notif_envoi_cr_01_class_act_intervention_demandee_field_6</b>. */
	public static final String FLD_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "w4_activity_gi_notif_envoi_cr_01_class_act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldW4ActivityGiNotifEnvoiCr01ClassActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>w4_activity_gi_planif_01_class_act_intervention_demandee_field_6</b>. */
	public static final String FLD_W4_ACTIVITY_GI_PLANIF_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "w4_activity_gi_planif_01_class_act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldW4ActivityGiPlanif01ClassActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_PLANIF_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>w4_activity_gi_saisie_01_class_act_intervention_demandee_field_6</b>. */
	public static final String FLD_W4_ACTIVITY_GI_SAISIE_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "w4_activity_gi_saisie_01_class_act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldW4ActivityGiSaisie01ClassActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_SAISIE_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>w4_activity_gi_validation_cr_01_class_act_intervention_demandee_field_6</b>. */
	public static final String FLD_W4_ACTIVITY_GI_VALIDATION_CR_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6 = "w4_activity_gi_validation_cr_01_class_act_intervention_demandee_field_6";
	public static LyRelationFieldInfo fldW4ActivityGiValidationCr01ClassActInterventionDemandeeField6 = (LyRelationFieldInfo)_application.getInfo(FLD_W4_ACTIVITY_GI_VALIDATION_CR_01_CLASS_ACT_INTERVENTION_DEMANDEE_FIELD_6);

	/** Access to field: <b>w4_proc_gestion_interventions_rev_1_class_w4_workcase_attachments</b>. */
	public static final String FLD_W4_PROC_GESTION_INTERVENTIONS_REV_1_CLASS_W4_WORKCASE_ATTACHMENTS = "w4_proc_gestion_interventions_rev_1_class_w4_workcase_attachments";
	public static LyRelationFieldInfo fldW4ProcGestionInterventionsRev1ClassW4WorkcaseAttachments = (LyRelationFieldInfo)_application.getInfo(FLD_W4_PROC_GESTION_INTERVENTIONS_REV_1_CLASS_W4_WORKCASE_ATTACHMENTS);

	/** Access to field: <b>workflow_contract_class_cms_type</b>. */
	public static final String FLD_WORKFLOW_CONTRACT_CLASS_CMS_TYPE = "workflow_contract_class_cms_type";
	public static LyTextFieldInfo fldWorkflowContractClassCmsType = (LyTextFieldInfo)_application.getInfo(FLD_WORKFLOW_CONTRACT_CLASS_CMS_TYPE);

	/** Access to field: <b>workflow_contract_class_file_gestion_interventions_contract_actif_field</b>. */
	public static final String FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_CONTRACT_ACTIF_FIELD = "workflow_contract_class_file_gestion_interventions_contract_actif_field";
	public static LyChoiceFieldInfo fldWorkflowContractClassFileGestionInterventionsContractActifField = (LyChoiceFieldInfo)_application.getInfo(FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_CONTRACT_ACTIF_FIELD);

	/** Access to field: <b>workflow_contract_class_file_gestion_interventions_contract_customer_field</b>. */
	public static final String FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_CONTRACT_CUSTOMER_FIELD = "workflow_contract_class_file_gestion_interventions_contract_customer_field";
	public static LyTextFieldInfo fldWorkflowContractClassFileGestionInterventionsContractCustomerField = (LyTextFieldInfo)_application.getInfo(FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_CONTRACT_CUSTOMER_FIELD);

	/** Access to field: <b>workflow_contract_class_file_gestion_interventions_contract_date_signature_field</b>. */
	public static final String FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_CONTRACT_DATE_SIGNATURE_FIELD = "workflow_contract_class_file_gestion_interventions_contract_date_signature_field";
	public static LyDateFieldInfo fldWorkflowContractClassFileGestionInterventionsContractDateSignatureField = (LyDateFieldInfo)_application.getInfo(FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_CONTRACT_DATE_SIGNATURE_FIELD);

	/** Access to field: <b>workflow_contract_class_file_gestion_interventions_eecm_src_cms_type_0</b>. */
	public static final String FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE_0 = "workflow_contract_class_file_gestion_interventions_eecm_src_cms_type_0";
	public static LyTextFieldInfo fldWorkflowContractClassFileGestionInterventionsEecmSrcCmsType0 = (LyTextFieldInfo)_application.getInfo(FLD_WORKFLOW_CONTRACT_CLASS_FILE_GESTION_INTERVENTIONS_EECM_SRC_CMS_TYPE_0);

	/** Access to field: <b>workflow_contract_currentDate</b>. */
	public static final String FLD_WORKFLOW_CONTRACT_CURRENT_DATE = "workflow_contract_currentDate";
	public static LyDateFieldInfo fldWorkflowContractCurrentDate = (LyDateFieldInfo)_application.getInfo(FLD_WORKFLOW_CONTRACT_CURRENT_DATE);

	/** Access to field: <b>workflow_contract_name_field</b>. */
	public static final String FLD_WORKFLOW_CONTRACT_NAME_FIELD = "workflow_contract_name_field";
	public static LyTextFieldInfo fldWorkflowContractNameField = (LyTextFieldInfo)_application.getInfo(FLD_WORKFLOW_CONTRACT_NAME_FIELD);

	/** Access to field: <b>year_id</b>. */
	public static final String FLD_YEAR_ID = "year_id";
	public static LyTextFieldInfo fldYearId = (LyTextFieldInfo)_application.getInfo(FLD_YEAR_ID);

	/** Access to field: <b>year_name</b>. */
	public static final String FLD_YEAR_NAME = "year_name";
	public static LyTextFieldInfo fldYearName = (LyTextFieldInfo)_application.getInfo(FLD_YEAR_NAME);



	/*
	 * ********************************************************
	 * 		OPTIONS 
	 * ********************************************************
	 */

	/** Access to option: <b>aReplanifierCR_non</b>. */
	public static final String OPT_A_REPLANIFIER_CR_NON = "aReplanifierCR_non";
	public static LyChoiceOption optAReplanifierCrNon = (LyChoiceOption)_application.getInfo(OPT_A_REPLANIFIER_CR_NON);

	/** Access to option: <b>aReplanifierCR_oui</b>. */
	public static final String OPT_A_REPLANIFIER_CR_OUI = "aReplanifierCR_oui";
	public static LyChoiceOption optAReplanifierCrOui = (LyChoiceOption)_application.getInfo(OPT_A_REPLANIFIER_CR_OUI);

	/** Access to option: <b>aReplanifier_non</b>. */
	public static final String OPT_A_REPLANIFIER_NON = "aReplanifier_non";
	public static LyChoiceOption optAReplanifierNon = (LyChoiceOption)_application.getInfo(OPT_A_REPLANIFIER_NON);

	/** Access to option: <b>aReplanifier_oui</b>. */
	public static final String OPT_A_REPLANIFIER_OUI = "aReplanifier_oui";
	public static LyChoiceOption optAReplanifierOui = (LyChoiceOption)_application.getInfo(OPT_A_REPLANIFIER_OUI);

	/** Access to option: <b>civilite_MLLE</b>. */
	public static final String OPT_CIVILITE_MLLE = "civilite_MLLE";
	public static LyChoiceOption optCiviliteMlle = (LyChoiceOption)_application.getInfo(OPT_CIVILITE_MLLE);

	/** Access to option: <b>civilite_MME</b>. */
	public static final String OPT_CIVILITE_MME = "civilite_MME";
	public static LyChoiceOption optCiviliteMme = (LyChoiceOption)_application.getInfo(OPT_CIVILITE_MME);

	/** Access to option: <b>civilite_MR</b>. */
	public static final String OPT_CIVILITE_MR = "civilite_MR";
	public static LyChoiceOption optCiviliteMr = (LyChoiceOption)_application.getInfo(OPT_CIVILITE_MR);

	/** Access to option: <b>conforme_non</b>. */
	public static final String OPT_CONFORME_NON = "conforme_non";
	public static LyChoiceOption optConformeNon = (LyChoiceOption)_application.getInfo(OPT_CONFORME_NON);

	/** Access to option: <b>conforme_oui</b>. */
	public static final String OPT_CONFORME_OUI = "conforme_oui";
	public static LyChoiceOption optConformeOui = (LyChoiceOption)_application.getInfo(OPT_CONFORME_OUI);

	/** Access to option: <b>contract_type_SME</b>. */
	public static final String OPT_CONTRACT_TYPE_SME = "contract_type_SME";
	public static LyChoiceOption optContractTypeSme = (LyChoiceOption)_application.getInfo(OPT_CONTRACT_TYPE_SME);

	/** Access to option: <b>contract_type_corporateCustomer</b>. */
	public static final String OPT_CONTRACT_TYPE_CORPORATE_CUSTOMER = "contract_type_corporateCustomer";
	public static LyChoiceOption optContractTypeCorporateCustomer = (LyChoiceOption)_application.getInfo(OPT_CONTRACT_TYPE_CORPORATE_CUSTOMER);

	/** Access to option: <b>false_field</b>. */
	public static final String OPT_FALSE_FIELD = "false_field";
	public static LyChoiceOption optFalseField = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD);

	/** Access to option: <b>false_field_1</b>. */
	public static final String OPT_FALSE_FIELD_1 = "false_field_1";
	public static LyChoiceOption optFalseField1 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_1);

	/** Access to option: <b>false_field_2</b>. */
	public static final String OPT_FALSE_FIELD_2 = "false_field_2";
	public static LyChoiceOption optFalseField2 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_2);

	/** Access to option: <b>false_field_3</b>. */
	public static final String OPT_FALSE_FIELD_3 = "false_field_3";
	public static LyChoiceOption optFalseField3 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_3);

	/** Access to option: <b>false_field_4</b>. */
	public static final String OPT_FALSE_FIELD_4 = "false_field_4";
	public static LyChoiceOption optFalseField4 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_4);

	/** Access to option: <b>false_field_5</b>. */
	public static final String OPT_FALSE_FIELD_5 = "false_field_5";
	public static LyChoiceOption optFalseField5 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_5);

	/** Access to option: <b>false_field_6</b>. */
	public static final String OPT_FALSE_FIELD_6 = "false_field_6";
	public static LyChoiceOption optFalseField6 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_6);

	/** Access to option: <b>false_field_7</b>. */
	public static final String OPT_FALSE_FIELD_7 = "false_field_7";
	public static LyChoiceOption optFalseField7 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_7);

	/** Access to option: <b>false_field_8</b>. */
	public static final String OPT_FALSE_FIELD_8 = "false_field_8";
	public static LyChoiceOption optFalseField8 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_8);

	/** Access to option: <b>false_field_9</b>. */
	public static final String OPT_FALSE_FIELD_9 = "false_field_9";
	public static LyChoiceOption optFalseField9 = (LyChoiceOption)_application.getInfo(OPT_FALSE_FIELD_9);

	/** Access to option: <b>parametrage_call_ws_option_false</b>. */
	public static final String OPT_PARAMETRAGE_CALL_WS_OPTION_FALSE = "parametrage_call_ws_option_false";
	public static LyChoiceOption optParametrageCallWsOptionFalse = (LyChoiceOption)_application.getInfo(OPT_PARAMETRAGE_CALL_WS_OPTION_FALSE);

	/** Access to option: <b>parametrage_call_ws_option_true</b>. */
	public static final String OPT_PARAMETRAGE_CALL_WS_OPTION_TRUE = "parametrage_call_ws_option_true";
	public static LyChoiceOption optParametrageCallWsOptionTrue = (LyChoiceOption)_application.getInfo(OPT_PARAMETRAGE_CALL_WS_OPTION_TRUE);

	/** Access to option: <b>parametrage_send_mail_option_false</b>. */
	public static final String OPT_PARAMETRAGE_SEND_MAIL_OPTION_FALSE = "parametrage_send_mail_option_false";
	public static LyChoiceOption optParametrageSendMailOptionFalse = (LyChoiceOption)_application.getInfo(OPT_PARAMETRAGE_SEND_MAIL_OPTION_FALSE);

	/** Access to option: <b>parametrage_send_mail_option_true</b>. */
	public static final String OPT_PARAMETRAGE_SEND_MAIL_OPTION_TRUE = "parametrage_send_mail_option_true";
	public static LyChoiceOption optParametrageSendMailOptionTrue = (LyChoiceOption)_application.getInfo(OPT_PARAMETRAGE_SEND_MAIL_OPTION_TRUE);

	/** Access to option: <b>provider_Bouygues</b>. */
	public static final String OPT_PROVIDER_BOUYGUES = "provider_Bouygues";
	public static LyChoiceOption optProviderBouygues = (LyChoiceOption)_application.getInfo(OPT_PROVIDER_BOUYGUES);

	/** Access to option: <b>provider_Orange</b>. */
	public static final String OPT_PROVIDER_ORANGE = "provider_Orange";
	public static LyChoiceOption optProviderOrange = (LyChoiceOption)_application.getInfo(OPT_PROVIDER_ORANGE);

	/** Access to option: <b>provider_SFR</b>. */
	public static final String OPT_PROVIDER_SFR = "provider_SFR";
	public static LyChoiceOption optProviderSfr = (LyChoiceOption)_application.getInfo(OPT_PROVIDER_SFR);

	/** Access to option: <b>resolueCR_non</b>. */
	public static final String OPT_RESOLUE_CR_NON = "resolueCR_non";
	public static LyChoiceOption optResolueCrNon = (LyChoiceOption)_application.getInfo(OPT_RESOLUE_CR_NON);

	/** Access to option: <b>resolueCR_oui</b>. */
	public static final String OPT_RESOLUE_CR_OUI = "resolueCR_oui";
	public static LyChoiceOption optResolueCrOui = (LyChoiceOption)_application.getInfo(OPT_RESOLUE_CR_OUI);

	/** Access to option: <b>resolue_non</b>. */
	public static final String OPT_RESOLUE_NON = "resolue_non";
	public static LyChoiceOption optResolueNon = (LyChoiceOption)_application.getInfo(OPT_RESOLUE_NON);

	/** Access to option: <b>resolue_oui</b>. */
	public static final String OPT_RESOLUE_OUI = "resolue_oui";
	public static LyChoiceOption optResolueOui = (LyChoiceOption)_application.getInfo(OPT_RESOLUE_OUI);

	/** Access to option: <b>true_field</b>. */
	public static final String OPT_TRUE_FIELD = "true_field";
	public static LyChoiceOption optTrueField = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD);

	/** Access to option: <b>true_field_1</b>. */
	public static final String OPT_TRUE_FIELD_1 = "true_field_1";
	public static LyChoiceOption optTrueField1 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_1);

	/** Access to option: <b>true_field_2</b>. */
	public static final String OPT_TRUE_FIELD_2 = "true_field_2";
	public static LyChoiceOption optTrueField2 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_2);

	/** Access to option: <b>true_field_3</b>. */
	public static final String OPT_TRUE_FIELD_3 = "true_field_3";
	public static LyChoiceOption optTrueField3 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_3);

	/** Access to option: <b>true_field_4</b>. */
	public static final String OPT_TRUE_FIELD_4 = "true_field_4";
	public static LyChoiceOption optTrueField4 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_4);

	/** Access to option: <b>true_field_5</b>. */
	public static final String OPT_TRUE_FIELD_5 = "true_field_5";
	public static LyChoiceOption optTrueField5 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_5);

	/** Access to option: <b>true_field_6</b>. */
	public static final String OPT_TRUE_FIELD_6 = "true_field_6";
	public static LyChoiceOption optTrueField6 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_6);

	/** Access to option: <b>true_field_7</b>. */
	public static final String OPT_TRUE_FIELD_7 = "true_field_7";
	public static LyChoiceOption optTrueField7 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_7);

	/** Access to option: <b>true_field_8</b>. */
	public static final String OPT_TRUE_FIELD_8 = "true_field_8";
	public static LyChoiceOption optTrueField8 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_8);

	/** Access to option: <b>true_field_9</b>. */
	public static final String OPT_TRUE_FIELD_9 = "true_field_9";
	public static LyChoiceOption optTrueField9 = (LyChoiceOption)_application.getInfo(OPT_TRUE_FIELD_9);



	/*
	 * ********************************************************
	 * 		ACTIONS 
	 * ********************************************************
	 */

	/** Access to action: <b>CRIntervention_Table</b>. */
	public static final String ACT_CRINTERVENTION_TABLE = "CRIntervention_Table";
	public static LyAction actCrinterventionTable = (LyAction)_application.getInfo(ACT_CRINTERVENTION_TABLE);

	/** Access to action: <b>CompoundTreeConsultMap_Intervention</b>. */
	public static final String ACT_COMPOUND_TREE_CONSULT_MAP_INTERVENTION = "CompoundTreeConsultMap_Intervention";
	public static LyCompoundAction actCompoundTreeConsultMapIntervention = (LyCompoundAction)_application.getInfo(ACT_COMPOUND_TREE_CONSULT_MAP_INTERVENTION);

	/** Access to action: <b>actConsultWokcase</b>. */
	public static final String ACT_CONSULT_WOKCASE = "actConsultWokcase";
	public static LyAction actActConsultWokcase = (LyAction)_application.getInfo(ACT_CONSULT_WOKCASE);

	/** Access to action: <b>actShowDescription</b>. */
	public static final String ACT_SHOW_DESCRIPTION = "actShowDescription";
	public static LyAction actActShowDescription = (LyAction)_application.getInfo(ACT_SHOW_DESCRIPTION);

	/** Access to action: <b>actTreeInterventionByDate</b>. */
	public static final String ACT_TREE_INTERVENTION_BY_DATE = "actTreeInterventionByDate";
	public static LyAction actActTreeInterventionByDate = (LyAction)_application.getInfo(ACT_TREE_INTERVENTION_BY_DATE);

	/** Access to action: <b>addressSelect</b>. */
	public static final String ACT_ADDRESS_SELECT = "addressSelect";
	public static LyCompoundAction actAddressSelect = (LyCompoundAction)_application.getInfo(ACT_ADDRESS_SELECT);

	/** Access to action: <b>addressSelectFilter</b>. */
	public static final String ACT_ADDRESS_SELECT_FILTER = "addressSelectFilter";
	public static LyAction actAddressSelectFilter = (LyAction)_application.getInfo(ACT_ADDRESS_SELECT_FILTER);

	/** Access to action: <b>compoundTreeConsult_Intervention</b>. */
	public static final String ACT_COMPOUND_TREE_CONSULT_INTERVENTION = "compoundTreeConsult_Intervention";
	public static LyCompoundAction actCompoundTreeConsultIntervention = (LyCompoundAction)_application.getInfo(ACT_COMPOUND_TREE_CONSULT_INTERVENTION);

	/** Access to action: <b>compoundTreeMap_Intervention</b>. */
	public static final String ACT_COMPOUND_TREE_MAP_INTERVENTION = "compoundTreeMap_Intervention";
	public static LyCompoundAction actCompoundTreeMapIntervention = (LyCompoundAction)_application.getInfo(ACT_COMPOUND_TREE_MAP_INTERVENTION);

	/** Access to action: <b>create</b>. */
	public static final String ACT_CREATE = "create";
	public static LyAction actCreate = (LyAction)_application.getInfo(ACT_CREATE);

	/** Access to action: <b>create1</b>. */
	public static final String ACT_CREATE1 = "create1";
	public static LyAction actCreate1 = (LyAction)_application.getInfo(ACT_CREATE1);

	/** Access to action: <b>create2</b>. */
	public static final String ACT_CREATE2 = "create2";
	public static LyAction actCreate2 = (LyAction)_application.getInfo(ACT_CREATE2);

	/** Access to action: <b>create3</b>. */
	public static final String ACT_CREATE3 = "create3";
	public static LyAction actCreate3 = (LyAction)_application.getInfo(ACT_CREATE3);

	/** Access to action: <b>create4</b>. */
	public static final String ACT_CREATE4 = "create4";
	public static LyAction actCreate4 = (LyAction)_application.getInfo(ACT_CREATE4);

	/** Access to action: <b>create5</b>. */
	public static final String ACT_CREATE5 = "create5";
	public static LyAction actCreate5 = (LyAction)_application.getInfo(ACT_CREATE5);

	/** Access to action: <b>delete</b>. */
	public static final String ACT_DELETE = "delete";
	public static LyAction actDelete = (LyAction)_application.getInfo(ACT_DELETE);

	/** Access to action: <b>delete1</b>. */
	public static final String ACT_DELETE1 = "delete1";
	public static LyAction actDelete1 = (LyAction)_application.getInfo(ACT_DELETE1);

	/** Access to action: <b>delete2</b>. */
	public static final String ACT_DELETE2 = "delete2";
	public static LyAction actDelete2 = (LyAction)_application.getInfo(ACT_DELETE2);

	/** Access to action: <b>delete3</b>. */
	public static final String ACT_DELETE3 = "delete3";
	public static LyAction actDelete3 = (LyAction)_application.getInfo(ACT_DELETE3);

	/** Access to action: <b>delete4</b>. */
	public static final String ACT_DELETE4 = "delete4";
	public static LyAction actDelete4 = (LyAction)_application.getInfo(ACT_DELETE4);

	/** Access to action: <b>delete5</b>. */
	public static final String ACT_DELETE5 = "delete5";
	public static LyAction actDelete5 = (LyAction)_application.getInfo(ACT_DELETE5);
	
	/** Access to action: <b>guiAdminActors</b>. */
	public static final String ACT_GUI_ADMIN_ACTORS = "guiAdminActors";
	public static LyAction actGuiAdminActors = (LyAction)_application.getInfo(ACT_GUI_ADMIN_ACTORS);

	/** Access to action: <b>guiAdminTasks</b>. */
	public static final String ACT_GUI_ADMIN_TASKS = "guiAdminTasks";
	public static LyAction actGuiAdminTasks = (LyAction)_application.getInfo(ACT_GUI_ADMIN_TASKS);

	/** Access to action: <b>guiAdminWorkcases</b>. */
	public static final String ACT_GUI_ADMIN_WORKCASES = "guiAdminWorkcases";
	public static LyAction actGuiAdminWorkcases = (LyAction)_application.getInfo(ACT_GUI_ADMIN_WORKCASES);

	/** Access to action: <b>guiDashboard</b>. */
	public static final String ACT_GUI_DASHBOARD = "guiDashboard";
	public static LyAction actGuiDashboard = (LyAction)_application.getInfo(ACT_GUI_DASHBOARD);

	/** Access to action: <b>guiLogin</b>. */
	public static final String ACT_GUI_LOGIN = "guiLogin";
	public static LyAction actGuiLogin = (LyAction)_application.getInfo(ACT_GUI_LOGIN);

	/** Access to action: <b>guiNewWorkcaseInDomain_GestionInterventions</b>. */
	public static final String ACT_GUI_NEW_WORKCASE_IN_DOMAIN_GESTION_INTERVENTIONS = "guiNewWorkcaseInDomain_GestionInterventions";
	public static LyAction actGuiNewWorkcaseInDomainGestionInterventions = (LyAction)_application.getInfo(ACT_GUI_NEW_WORKCASE_IN_DOMAIN_GESTION_INTERVENTIONS);

	/** Access to action: <b>guiNewWorkcase_GestionInterventions</b>. */
	public static final String ACT_GUI_NEW_WORKCASE_GESTION_INTERVENTIONS = "guiNewWorkcase_GestionInterventions";
	public static LyAction actGuiNewWorkcaseGestionInterventions = (LyAction)_application.getInfo(ACT_GUI_NEW_WORKCASE_GESTION_INTERVENTIONS);

	/** Access to action: <b>guiReporting</b>. */
	public static final String ACT_GUI_REPORTING = "guiReporting";
	public static LyCompoundAction actGuiReporting = (LyCompoundAction)_application.getInfo(ACT_GUI_REPORTING);

	/** Access to action: <b>guiReporting.reportingAction1</b>. */
	public static final String ACT_GUI_REPORTING_REPORTING_ACTION1 = "guiReporting.reportingAction1";
	public static LyAction actGuiReportingReportingAction1 = (LyAction)_application.getInfo(ACT_GUI_REPORTING_REPORTING_ACTION1);

	/** Access to action: <b>guiReporting.reportingAction2</b>. */
	public static final String ACT_GUI_REPORTING_REPORTING_ACTION2 = "guiReporting.reportingAction2";
	public static LyAction actGuiReportingReportingAction2 = (LyAction)_application.getInfo(ACT_GUI_REPORTING_REPORTING_ACTION2);

	/** Access to action: <b>guiReporting.reportingAction3</b>. */
	public static final String ACT_GUI_REPORTING_REPORTING_ACTION3 = "guiReporting.reportingAction3";
	public static LyAction actGuiReportingReportingAction3 = (LyAction)_application.getInfo(ACT_GUI_REPORTING_REPORTING_ACTION3);

	/** Access to action: <b>guiSearch</b>. */
	public static final String ACT_GUI_SEARCH = "guiSearch";
	public static LyAction actGuiSearch = (LyAction)_application.getInfo(ACT_GUI_SEARCH);

	/** Access to action: <b>guiSearchInterventionWorkcases</b>. */
	public static final String ACT_GUI_SEARCH_INTERVENTION_WORKCASES = "guiSearchInterventionWorkcases";
	public static LyCompoundAction actGuiSearchInterventionWorkcases = (LyCompoundAction)_application.getInfo(ACT_GUI_SEARCH_INTERVENTION_WORKCASES);

	/** Access to action: <b>guiTableParametrage</b>. */
	public static final String ACT_GUI_TABLE_PARAMETRAGE = "guiTableParametrage";
	public static LyAction actGuiTableParametrage = (LyAction)_application.getInfo(ACT_GUI_TABLE_PARAMETRAGE);

	/** Access to action: <b>guiTable_CustomerClass</b>. */
	public static final String ACT_GUI_TABLE_CUSTOMER_CLASS = "guiTable_CustomerClass";
	public static LyAction actGuiTableCustomerClass = (LyAction)_application.getInfo(ACT_GUI_TABLE_CUSTOMER_CLASS);

	/** Access to action: <b>guiTable_InterventionClass</b>. */
	public static final String ACT_GUI_TABLE_INTERVENTION_CLASS = "guiTable_InterventionClass";
	public static LyAction actGuiTableInterventionClass = (LyAction)_application.getInfo(ACT_GUI_TABLE_INTERVENTION_CLASS);

	/** Access to action: <b>guiTable_typeInterventionClass</b>. */
	public static final String ACT_GUI_TABLE_TYPE_INTERVENTION_CLASS = "guiTable_typeInterventionClass";
	public static LyAction actGuiTableTypeInterventionClass = (LyAction)_application.getInfo(ACT_GUI_TABLE_TYPE_INTERVENTION_CLASS);

	/** Access to action: <b>guiUserProfile</b>. */
	public static final String ACT_GUI_USER_PROFILE = "guiUserProfile";
	public static LyAction actGuiUserProfile = (LyAction)_application.getInfo(ACT_GUI_USER_PROFILE);

	/** Access to action: <b>guiWorkItems</b>. */
	public static final String ACT_GUI_WORK_ITEMS = "guiWorkItems";
	public static LyAction actGuiWorkItems = (LyAction)_application.getInfo(ACT_GUI_WORK_ITEMS);

	/** Access to action: <b>interventionByCustomer_tree</b>. */
	public static final String ACT_INTERVENTION_BY_CUSTOMER_TREE = "interventionByCustomer_tree";
	public static LyAction actInterventionByCustomerTree = (LyAction)_application.getInfo(ACT_INTERVENTION_BY_CUSTOMER_TREE);

	/** Access to action: <b>interventionConsult</b>. */
	public static final String ACT_INTERVENTION_CONSULT = "interventionConsult";
	public static LyAction actInterventionConsult = (LyAction)_application.getInfo(ACT_INTERVENTION_CONSULT);

	/** Access to action: <b>interventionGantt</b>. */
	public static final String ACT_INTERVENTION_GANTT = "interventionGantt";
	public static LyAction actInterventionGantt = (LyAction)_application.getInfo(ACT_INTERVENTION_GANTT);

	/** Access to action: <b>interventionMap</b>. */
	public static final String ACT_INTERVENTION_MAP = "interventionMap";
	public static LyAction actInterventionMap = (LyAction)_application.getInfo(ACT_INTERVENTION_MAP);

	/** Access to action: <b>inverventionScheduleMap</b>. */
	public static final String ACT_INVERVENTION_SCHEDULE_MAP = "inverventionScheduleMap";
	public static LyAction actInverventionScheduleMap = (LyAction)_application.getInfo(ACT_INVERVENTION_SCHEDULE_MAP);

	/** Access to action: <b>notifIntervention_Table</b>. */
	public static final String ACT_NOTIF_INTERVENTION_TABLE = "notifIntervention_Table";
	public static LyAction actNotifInterventionTable = (LyAction)_application.getInfo(ACT_NOTIF_INTERVENTION_TABLE);

	/** Access to action: <b>searchWorkcaseFilter</b>. */
	public static final String ACT_SEARCH_WORKCASE_FILTER = "searchWorkcaseFilter";
	public static LyAction actSearchWorkcaseFilter = (LyAction)_application.getInfo(ACT_SEARCH_WORKCASE_FILTER);

	/** Access to action: <b>searchWorkcaseTable</b>. */
	public static final String ACT_SEARCH_WORKCASE_TABLE = "searchWorkcaseTable";
	public static LyAction actSearchWorkcaseTable = (LyAction)_application.getInfo(ACT_SEARCH_WORKCASE_TABLE);

	/** Access to action: <b>set</b>. */
	public static final String ACT_SET = "set";
	public static LyAction actSet = (LyAction)_application.getInfo(ACT_SET);

	/** Access to action: <b>set1</b>. */
	public static final String ACT_SET1 = "set1";
	public static LyAction actSet1 = (LyAction)_application.getInfo(ACT_SET1);

	/** Access to action: <b>set2</b>. */
	public static final String ACT_SET2 = "set2";
	public static LyAction actSet2 = (LyAction)_application.getInfo(ACT_SET2);

	/** Access to action: <b>set3</b>. */
	public static final String ACT_SET3 = "set3";
	public static LyAction actSet3 = (LyAction)_application.getInfo(ACT_SET3);

	/** Access to action: <b>set4</b>. */
	public static final String ACT_SET4 = "set4";
	public static LyAction actSet4 = (LyAction)_application.getInfo(ACT_SET4);
	
	/** Access to action: <b>set5</b>. */
	public static final String ACT_SET5 = "set5";
	public static LyAction actSet5 = (LyAction)_application.getInfo(ACT_SET5);

	/** Access to action: <b>w4_activity_gi_controle_01_process_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_CONTROLE_01_PROCESS_TASK = "w4_activity_gi_controle_01_process_task";
	public static LyAction actW4ActivityGiControle01ProcessTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_CONTROLE_01_PROCESS_TASK);

	/** Access to action: <b>w4_activity_gi_controle_01_submit_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_CONTROLE_01_SUBMIT_TASK = "w4_activity_gi_controle_01_submit_task";
	public static LyAction actW4ActivityGiControle01SubmitTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_CONTROLE_01_SUBMIT_TASK);

	/** Access to action: <b>w4_activity_gi_controle_01_submit_task_get_next</b>. */
	public static final String ACT_W4_ACTIVITY_GI_CONTROLE_01_SUBMIT_TASK_GET_NEXT = "w4_activity_gi_controle_01_submit_task_get_next";
	public static LyAction actW4ActivityGiControle01SubmitTaskGetNext = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_CONTROLE_01_SUBMIT_TASK_GET_NEXT);

	/** Access to action: <b>w4_activity_gi_cr_01_process_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_CR_01_PROCESS_TASK = "w4_activity_gi_cr_01_process_task";
	public static LyAction actW4ActivityGiCr01ProcessTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_CR_01_PROCESS_TASK);

	/** Access to action: <b>w4_activity_gi_cr_01_submit_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_CR_01_SUBMIT_TASK = "w4_activity_gi_cr_01_submit_task";
	public static LyAction actW4ActivityGiCr01SubmitTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_CR_01_SUBMIT_TASK);

	/** Access to action: <b>w4_activity_gi_cr_01_submit_task_get_next</b>. */
	public static final String ACT_W4_ACTIVITY_GI_CR_01_SUBMIT_TASK_GET_NEXT = "w4_activity_gi_cr_01_submit_task_get_next";
	public static LyAction actW4ActivityGiCr01SubmitTaskGetNext = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_CR_01_SUBMIT_TASK_GET_NEXT);

	/** Access to action: <b>w4_activity_gi_notif_01_process_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_NOTIF_01_PROCESS_TASK = "w4_activity_gi_notif_01_process_task";
	public static LyAction actW4ActivityGiNotif01ProcessTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_NOTIF_01_PROCESS_TASK);

	/** Access to action: <b>w4_activity_gi_notif_01_submit_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_NOTIF_01_SUBMIT_TASK = "w4_activity_gi_notif_01_submit_task";
	public static LyAction actW4ActivityGiNotif01SubmitTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_NOTIF_01_SUBMIT_TASK);

	/** Access to action: <b>w4_activity_gi_notif_01_submit_task_get_next</b>. */
	public static final String ACT_W4_ACTIVITY_GI_NOTIF_01_SUBMIT_TASK_GET_NEXT = "w4_activity_gi_notif_01_submit_task_get_next";
	public static LyAction actW4ActivityGiNotif01SubmitTaskGetNext = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_NOTIF_01_SUBMIT_TASK_GET_NEXT);

	/** Access to action: <b>w4_activity_gi_notif_envoi_cr_01_process_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_PROCESS_TASK = "w4_activity_gi_notif_envoi_cr_01_process_task";
	public static LyAction actW4ActivityGiNotifEnvoiCr01ProcessTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_PROCESS_TASK);

	/** Access to action: <b>w4_activity_gi_notif_envoi_cr_01_submit_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_SUBMIT_TASK = "w4_activity_gi_notif_envoi_cr_01_submit_task";
	public static LyAction actW4ActivityGiNotifEnvoiCr01SubmitTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_SUBMIT_TASK);

	/** Access to action: <b>w4_activity_gi_notif_envoi_cr_01_submit_task_get_next</b>. */
	public static final String ACT_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_SUBMIT_TASK_GET_NEXT = "w4_activity_gi_notif_envoi_cr_01_submit_task_get_next";
	public static LyAction actW4ActivityGiNotifEnvoiCr01SubmitTaskGetNext = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_SUBMIT_TASK_GET_NEXT);

	/** Access to action: <b>w4_activity_gi_planif_01_process_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_PLANIF_01_PROCESS_TASK = "w4_activity_gi_planif_01_process_task";
	public static LyAction actW4ActivityGiPlanif01ProcessTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_PLANIF_01_PROCESS_TASK);

	/** Access to action: <b>w4_activity_gi_planif_01_submit_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_PLANIF_01_SUBMIT_TASK = "w4_activity_gi_planif_01_submit_task";
	public static LyAction actW4ActivityGiPlanif01SubmitTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_PLANIF_01_SUBMIT_TASK);

	/** Access to action: <b>w4_activity_gi_planif_01_submit_task_get_next</b>. */
	public static final String ACT_W4_ACTIVITY_GI_PLANIF_01_SUBMIT_TASK_GET_NEXT = "w4_activity_gi_planif_01_submit_task_get_next";
	public static LyAction actW4ActivityGiPlanif01SubmitTaskGetNext = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_PLANIF_01_SUBMIT_TASK_GET_NEXT);

	/** Access to action: <b>w4_activity_gi_saisie_01_process_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_SAISIE_01_PROCESS_TASK = "w4_activity_gi_saisie_01_process_task";
	public static LyAction actW4ActivityGiSaisie01ProcessTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_SAISIE_01_PROCESS_TASK);

	/** Access to action: <b>w4_activity_gi_saisie_01_submit_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_SAISIE_01_SUBMIT_TASK = "w4_activity_gi_saisie_01_submit_task";
	public static LyAction actW4ActivityGiSaisie01SubmitTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_SAISIE_01_SUBMIT_TASK);

	/** Access to action: <b>w4_activity_gi_saisie_01_submit_task_get_next</b>. */
	public static final String ACT_W4_ACTIVITY_GI_SAISIE_01_SUBMIT_TASK_GET_NEXT = "w4_activity_gi_saisie_01_submit_task_get_next";
	public static LyAction actW4ActivityGiSaisie01SubmitTaskGetNext = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_SAISIE_01_SUBMIT_TASK_GET_NEXT);

	/** Access to action: <b>w4_activity_gi_validation_cr_01_process_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_VALIDATION_CR_01_PROCESS_TASK = "w4_activity_gi_validation_cr_01_process_task";
	public static LyAction actW4ActivityGiValidationCr01ProcessTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_VALIDATION_CR_01_PROCESS_TASK);

	/** Access to action: <b>w4_activity_gi_validation_cr_01_submit_task</b>. */
	public static final String ACT_W4_ACTIVITY_GI_VALIDATION_CR_01_SUBMIT_TASK = "w4_activity_gi_validation_cr_01_submit_task";
	public static LyAction actW4ActivityGiValidationCr01SubmitTask = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_VALIDATION_CR_01_SUBMIT_TASK);

	/** Access to action: <b>w4_activity_gi_validation_cr_01_submit_task_get_next</b>. */
	public static final String ACT_W4_ACTIVITY_GI_VALIDATION_CR_01_SUBMIT_TASK_GET_NEXT = "w4_activity_gi_validation_cr_01_submit_task_get_next";
	public static LyAction actW4ActivityGiValidationCr01SubmitTaskGetNext = (LyAction)_application.getInfo(ACT_W4_ACTIVITY_GI_VALIDATION_CR_01_SUBMIT_TASK_GET_NEXT);



	/*
	 * ********************************************************
	 * 		OTHERS 
	 * ********************************************************
	 */

	/** Access to info: <b>GestionInterventions</b>. */
	public static final String PRJ_GESTION_INTERVENTIONS = "GestionInterventions";
	public static LyProject prjGestionInterventions = (LyProject)_application.getInfo(PRJ_GESTION_INTERVENTIONS);

	/** Access to info: <b>_IncludecmsModel</b>. */
	public static final String _INCLUDECMS_MODEL = "_IncludecmsModel";
	public static LyInclude IncludecmsModel = (LyInclude)_application.getInfo(_INCLUDECMS_MODEL);

	/** Access to info: <b>_Includew4Model</b>. */
	public static final String _INCLUDEW4_MODEL = "_Includew4Model";
	public static LyInclude Includew4Model = (LyInclude)_application.getInfo(_INCLUDEW4_MODEL);

	/** Access to info: <b>file_gestion_interventions</b>. */
	public static final String PRJ_FILE_GESTION_INTERVENTIONS = "file_gestion_interventions";
	public static LyProject prjFileGestionInterventions = (LyProject)_application.getInfo(PRJ_FILE_GESTION_INTERVENTIONS);

	/** Access to info: <b>file_gestion_interventions_eecm_src</b>. */
	public static final String LOC_FILE_GESTION_INTERVENTIONS_EECM_SRC = "file_gestion_interventions_eecm_src";
	public static LyGenLocation locFileGestionInterventionsEecmSrc = (LyGenLocation)_application.getInfo(LOC_FILE_GESTION_INTERVENTIONS_EECM_SRC);

	/** Access to info: <b>file_gestion_interventions_eecm_src_contract_class_1_filtre</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_1_FILTRE = "file_gestion_interventions_eecm_src_contract_class_1_filtre";
	public static LyFilter filterFileGestionInterventionsEecmSrcContractClass1Filtre = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_1_FILTRE);

	/** Access to info: <b>file_gestion_interventions_eecm_src_contract_class_1_filtre_0</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_1_FILTRE_0 = "file_gestion_interventions_eecm_src_contract_class_1_filtre_0";
	public static LyFilter filterFileGestionInterventionsEecmSrcContractClass1Filtre0 = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_1_FILTRE_0);

	/** Access to info: <b>file_gestion_interventions_eecm_src_contract_class_filtre</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_FILTRE = "file_gestion_interventions_eecm_src_contract_class_filtre";
	public static LyFilter filterFileGestionInterventionsEecmSrcContractClassFiltre = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_CONTRACT_CLASS_FILTRE);

	/** Access to info: <b>file_gestion_interventions_eecm_src_document_class_1_filtre</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_1_FILTRE = "file_gestion_interventions_eecm_src_document_class_1_filtre";
	public static LyFilter filterFileGestionInterventionsEecmSrcDocumentClass1Filtre = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_1_FILTRE);

	/** Access to info: <b>file_gestion_interventions_eecm_src_document_class_filtre</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_FILTRE = "file_gestion_interventions_eecm_src_document_class_filtre";
	public static LyFilter filterFileGestionInterventionsEecmSrcDocumentClassFiltre = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_DOCUMENT_CLASS_FILTRE);

	/** Access to info: <b>file_gestion_interventions_eecm_src_intervention_class_1_filtre</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_1_FILTRE = "file_gestion_interventions_eecm_src_intervention_class_1_filtre";
	public static LyFilter filterFileGestionInterventionsEecmSrcInterventionClass1Filtre = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_1_FILTRE);

	/** Access to info: <b>file_gestion_interventions_eecm_src_intervention_class_1_filtre_0</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_1_FILTRE_0 = "file_gestion_interventions_eecm_src_intervention_class_1_filtre_0";
	public static LyFilter filterFileGestionInterventionsEecmSrcInterventionClass1Filtre0 = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_1_FILTRE_0);

	/** Access to info: <b>file_gestion_interventions_eecm_src_intervention_class_filtre</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_FILTRE = "file_gestion_interventions_eecm_src_intervention_class_filtre";
	public static LyFilter filterFileGestionInterventionsEecmSrcInterventionClassFiltre = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_FILTRE);

	/** Access to info: <b>file_gestion_interventions_eecm_src_intervention_class_filtre_0</b>. */
	public static final String FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_FILTRE_0 = "file_gestion_interventions_eecm_src_intervention_class_filtre_0";
	public static LyFilter filterFileGestionInterventionsEecmSrcInterventionClassFiltre0 = (LyFilter)_application.getInfo(FILTER_FILE_GESTION_INTERVENTIONS_EECM_SRC_INTERVENTION_CLASS_FILTRE_0);

	/** Access to info: <b>filter_interventionStatut_enCours</b>. */
	public static final String FILTER_INTERVENTION_STATUT_EN_COURS = "filter_interventionStatut_enCours";
	public static LyFilter filterFilterInterventionStatutEnCours = (LyFilter)_application.getInfo(FILTER_INTERVENTION_STATUT_EN_COURS);

	/** Access to info: <b>fld_group_act_date_intervention_field</b>. */
	public static final String GROUP_FLD_GROUP_ACT_DATE_INTERVENTION_FIELD = "fld_group_act_date_intervention_field";
	public static LyFieldGroup groupFldGroupActDateInterventionField = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_ACT_DATE_INTERVENTION_FIELD);

	/** Access to info: <b>fld_group_act_intervention_a_replanifier_field</b>. */
	public static final String GROUP_FLD_GROUP_ACT_INTERVENTION_A_REPLANIFIER_FIELD = "fld_group_act_intervention_a_replanifier_field";
	public static LyFieldGroup groupFldGroupActInterventionAReplanifierField = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_ACT_INTERVENTION_A_REPLANIFIER_FIELD);

	/** Access to info: <b>fld_group_act_intervention_a_replanifier_field_1</b>. */
	public static final String GROUP_FLD_GROUP_ACT_INTERVENTION_A_REPLANIFIER_FIELD_1 = "fld_group_act_intervention_a_replanifier_field_1";
	public static LyFieldGroup groupFldGroupActInterventionAReplanifierField1 = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_ACT_INTERVENTION_A_REPLANIFIER_FIELD_1);

	/** Access to info: <b>fld_group_act_intervention_conforme_field</b>. */
	public static final String GROUP_FLD_GROUP_ACT_INTERVENTION_CONFORME_FIELD = "fld_group_act_intervention_conforme_field";
	public static LyFieldGroup groupFldGroupActInterventionConformeField = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_ACT_INTERVENTION_CONFORME_FIELD);

	/** Access to info: <b>fld_group_act_intervention_cr_field</b>. */
	public static final String GROUP_FLD_GROUP_ACT_INTERVENTION_CR_FIELD = "fld_group_act_intervention_cr_field";
	public static LyFieldGroup groupFldGroupActInterventionCrField = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_ACT_INTERVENTION_CR_FIELD);

	/** Access to info: <b>fld_group_compte-rendus_d_intervention</b>. */
	public static final String GROUP_FLD_GROUP_COMPTE_RENDUS_D_INTERVENTION = "fld_group_compte-rendus_d_intervention";
	public static LyFieldGroup groupFldGroupCompteRendusDIntervention = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_COMPTE_RENDUS_D_INTERVENTION);

	/** Access to info: <b>fld_group_customer_address</b>. */
	public static final String GROUP_FLD_GROUP_CUSTOMER_ADDRESS = "fld_group_customer_address";
	public static LyFieldGroup groupFldGroupCustomerAddress = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_CUSTOMER_ADDRESS);

	/** Access to info: <b>fld_group_informations</b>. */
	public static final String GROUP_FLD_GROUP_INFORMATIONS = "fld_group_informations";
	public static LyFieldGroup groupFldGroupInformations = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_INFORMATIONS);

	/** Access to info: <b>fld_group_intervention_address</b>. */
	public static final String GROUP_FLD_GROUP_INTERVENTION_ADDRESS = "fld_group_intervention_address";
	public static LyFieldGroup groupFldGroupInterventionAddress = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_INTERVENTION_ADDRESS);

	/** Access to info: <b>fld_group_intervention_customer</b>. */
	public static final String GROUP_FLD_GROUP_INTERVENTION_CUSTOMER = "fld_group_intervention_customer";
	public static LyFieldGroup groupFldGroupInterventionCustomer = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_INTERVENTION_CUSTOMER);

	/** Access to info: <b>fld_group_intervention_startdate</b>. */
	public static final String GROUP_FLD_GROUP_INTERVENTION_STARTDATE = "fld_group_intervention_startdate";
	public static LyFieldGroup groupFldGroupInterventionStartdate = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_INTERVENTION_STARTDATE);

	/** Access to info: <b>fld_group_w4_activity_gi_controle_01_class_w4_task_workcase</b>. */
	public static final String GROUP_FLD_GROUP_W4_ACTIVITY_GI_CONTROLE_01_CLASS_W4_TASK_WORKCASE = "fld_group_w4_activity_gi_controle_01_class_w4_task_workcase";
	public static LyFieldGroup groupFldGroupW4ActivityGiControle01ClassW4TaskWorkcase = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_W4_ACTIVITY_GI_CONTROLE_01_CLASS_W4_TASK_WORKCASE);

	/** Access to info: <b>fld_group_w4_task_id</b>. */
	public static final String GROUP_FLD_GROUP_W4_TASK_ID = "fld_group_w4_task_id";
	public static LyFieldGroup groupFldGroupW4TaskId = (LyFieldGroup)_application.getInfo(GROUP_FLD_GROUP_W4_TASK_ID);

	/** Access to info: <b>fld_tab_customer_address</b>. */
	public static final String TAB_FLD_TAB_CUSTOMER_ADDRESS = "fld_tab_customer_address";
	public static LyFieldTab tabFldTabCustomerAddress = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_CUSTOMER_ADDRESS);

	/** Access to info: <b>fld_tab_customer_contracts</b>. */
	public static final String TAB_FLD_TAB_CUSTOMER_CONTRACTS = "fld_tab_customer_contracts";
	public static LyFieldTab tabFldTabCustomerContracts = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_CUSTOMER_CONTRACTS);

	/** Access to info: <b>fld_tab_customer_contracts_1</b>. */
	public static final String TAB_FLD_TAB_CUSTOMER_CONTRACTS_1 = "fld_tab_customer_contracts_1";
	public static LyFieldTab tabFldTabCustomerContracts1 = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_CUSTOMER_CONTRACTS_1);

	/** Access to info: <b>fld_tab_customer_email</b>. */
	public static final String TAB_FLD_TAB_CUSTOMER_EMAIL = "fld_tab_customer_email";
	public static LyFieldTab tabFldTabCustomerEmail = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_CUSTOMER_EMAIL);

	/** Access to info: <b>fld_tab_customer_email_1</b>. */
	public static final String TAB_FLD_TAB_CUSTOMER_EMAIL_1 = "fld_tab_customer_email_1";
	public static LyFieldTab tabFldTabCustomerEmail1 = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_CUSTOMER_EMAIL_1);

	/** Access to info: <b>fld_tab_customer_relation_intervention</b>. */
	public static final String TAB_FLD_TAB_CUSTOMER_RELATION_INTERVENTION = "fld_tab_customer_relation_intervention";
	public static LyFieldTab tabFldTabCustomerRelationIntervention = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_CUSTOMER_RELATION_INTERVENTION);

	/** Access to info: <b>fld_tab_document</b>. */
	public static final String TAB_FLD_TAB_DOCUMENT = "fld_tab_document";
	public static LyFieldTab tabFldTabDocument = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_DOCUMENT);

	/** Access to info: <b>fld_tab_meta-donnees</b>. */
	public static final String TAB_FLD_TAB_META_DONNEES = "fld_tab_meta-donnees";
	public static LyFieldTab tabFldTabMetaDonnees = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_META_DONNEES);

	/** Access to info: <b>fld_tab_proc_intervention_demandee_field</b>. */
	public static final String TAB_FLD_TAB_PROC_INTERVENTION_DEMANDEE_FIELD = "fld_tab_proc_intervention_demandee_field";
	public static LyFieldTab tabFldTabProcInterventionDemandeeField = (LyFieldTab)_application.getInfo(TAB_FLD_TAB_PROC_INTERVENTION_DEMANDEE_FIELD);

	/** Access to info: <b>interventionDB</b>. */
	public static final String LOC_INTERVENTION_DB = "interventionDB";
	public static LySqlLocation locInterventionDb = (LySqlLocation)_application.getInfo(LOC_INTERVENTION_DB);

	/** Access to info: <b>name_tab_w4_summary</b>. */
	public static final String TAB_NAME_TAB_W4_SUMMARY = "name_tab_w4_summary";
	public static LyFieldTab tabNameTabW4Summary = (LyFieldTab)_application.getInfo(TAB_NAME_TAB_W4_SUMMARY);

	/** Access to info: <b>prj_file_gestion_interventions_eecm_src</b>. */
	public static final String PRJ_FILE_GESTION_INTERVENTIONS_EECM_SRC = "prj_file_gestion_interventions_eecm_src";
	public static LyProject prjPrjFileGestionInterventionsEecmSrc = (LyProject)_application.getInfo(PRJ_FILE_GESTION_INTERVENTIONS_EECM_SRC);

	/** Access to info: <b>referentiel</b>. */
	public static final String PRJ_REFERENTIEL = "referentiel";
	public static LyProject prjReferentiel = (LyProject)_application.getInfo(PRJ_REFERENTIEL);

	/** Access to info: <b>w4_activity_gi_controle_01_class_filter</b>. */
	public static final String FILTER_W4_ACTIVITY_GI_CONTROLE_01_CLASS_FILTER = "w4_activity_gi_controle_01_class_filter";
	public static LyFilter filterW4ActivityGiControle01Class = (LyFilter)_application.getInfo(FILTER_W4_ACTIVITY_GI_CONTROLE_01_CLASS_FILTER);

	/** Access to info: <b>w4_activity_gi_cr_01_class_filter</b>. */
	public static final String FILTER_W4_ACTIVITY_GI_CR_01_CLASS_FILTER = "w4_activity_gi_cr_01_class_filter";
	public static LyFilter filterW4ActivityGiCr01Class = (LyFilter)_application.getInfo(FILTER_W4_ACTIVITY_GI_CR_01_CLASS_FILTER);

	/** Access to info: <b>w4_activity_gi_notif_01_class_filter</b>. */
	public static final String FILTER_W4_ACTIVITY_GI_NOTIF_01_CLASS_FILTER = "w4_activity_gi_notif_01_class_filter";
	public static LyFilter filterW4ActivityGiNotif01Class = (LyFilter)_application.getInfo(FILTER_W4_ACTIVITY_GI_NOTIF_01_CLASS_FILTER);

	/** Access to info: <b>w4_activity_gi_notif_envoi_cr_01_class_filter</b>. */
	public static final String FILTER_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_CLASS_FILTER = "w4_activity_gi_notif_envoi_cr_01_class_filter";
	public static LyFilter filterW4ActivityGiNotifEnvoiCr01Class = (LyFilter)_application.getInfo(FILTER_W4_ACTIVITY_GI_NOTIF_ENVOI_CR_01_CLASS_FILTER);

	/** Access to info: <b>w4_activity_gi_planif_01_class_filter</b>. */
	public static final String FILTER_W4_ACTIVITY_GI_PLANIF_01_CLASS_FILTER = "w4_activity_gi_planif_01_class_filter";
	public static LyFilter filterW4ActivityGiPlanif01Class = (LyFilter)_application.getInfo(FILTER_W4_ACTIVITY_GI_PLANIF_01_CLASS_FILTER);

	/** Access to info: <b>w4_activity_gi_saisie_01_class_filter</b>. */
	public static final String FILTER_W4_ACTIVITY_GI_SAISIE_01_CLASS_FILTER = "w4_activity_gi_saisie_01_class_filter";
	public static LyFilter filterW4ActivityGiSaisie01Class = (LyFilter)_application.getInfo(FILTER_W4_ACTIVITY_GI_SAISIE_01_CLASS_FILTER);

	/** Access to info: <b>w4_activity_gi_validation_cr_01_class_filter</b>. */
	public static final String FILTER_W4_ACTIVITY_GI_VALIDATION_CR_01_CLASS_FILTER = "w4_activity_gi_validation_cr_01_class_filter";
	public static LyFilter filterW4ActivityGiValidationCr01Class = (LyFilter)_application.getInfo(FILTER_W4_ACTIVITY_GI_VALIDATION_CR_01_CLASS_FILTER);

	/** Access to info: <b>w4_proc_gestion_interventions_rev_1_class_filter</b>. */
	public static final String FILTER_W4_PROC_GESTION_INTERVENTIONS_REV_1_CLASS_FILTER = "w4_proc_gestion_interventions_rev_1_class_filter";
	public static LyFilter filterW4ProcGestionInterventionsRev1Class = (LyFilter)_application.getInfo(FILTER_W4_PROC_GESTION_INTERVENTIONS_REV_1_CLASS_FILTER);

	/** Access to info: <b>workflow</b>. */
	public static final String PRJ_WORKFLOW = "workflow";
	public static LyProject prjWorkflow = (LyProject)_application.getInfo(PRJ_WORKFLOW);



	/*
	 * ********************************************************
	 *       MARKS 
	 * ********************************************************
	 */

	/** Constant for mark : <b>ROLE_coordinator</b>. */
	public static final String ACT_MARK_ROLE_COORDINATOR = "ROLE_coordinator";
	public static final int actMarkRoleCoordinator = LyAction.getMark(ACT_MARK_ROLE_COORDINATOR);

	/** Constant for mark : <b>ACCESS_LIMITED</b>. */
	public static final String ACT_MARK_ACCESS_LIMITED = "ACCESS_LIMITED";
	public static final int actMarkAccessLimited = LyAction.getMark(ACT_MARK_ACCESS_LIMITED);

	/** Constant for mark : <b>ROLE_GI_coordinator</b>. */
	public static final String ACT_MARK_ROLE_GI_COORDINATOR = "ROLE_GI_coordinator";
	public static final int actMarkRoleGiCoordinator = LyAction.getMark(ACT_MARK_ROLE_GI_COORDINATOR);

	/** Constant for mark : <b>ROLE_GI_ServiceClientele</b>. */
	public static final String ACT_MARK_ROLE_GI_SERVICE_CLIENTELE = "ROLE_GI_ServiceClientele";
	public static final int actMarkRoleGiServiceClientele = LyAction.getMark(ACT_MARK_ROLE_GI_SERVICE_CLIENTELE);

	/** Constant for mark : <b>HOME_PAGE_ROLE_GI_ServiceClientele</b>. */
	public static final String ACT_MARK_HOME_PAGE_ROLE_GI_SERVICE_CLIENTELE = "HOME_PAGE_ROLE_GI_ServiceClientele";
	public static final int actMarkHomePageRoleGiServiceClientele = LyAction.getMark(ACT_MARK_HOME_PAGE_ROLE_GI_SERVICE_CLIENTELE);

	/** Constant for mark : <b>W4_BUILTIN</b>. */
	public static final String CLS_MARK_W4_BUILTIN = "W4_BUILTIN";
	public static final int clsMarkW4Builtin = LyClassInfo.getMark(CLS_MARK_W4_BUILTIN);

	/** Constant for mark : <b>PEER_FILTER_ONLY</b>. */
	public static final String FLD_MARK_PEER_FILTER_ONLY = "PEER_FILTER_ONLY";
	public static final int fldMarkPeerFilterOnly = LyFieldInfo.getMark(FLD_MARK_PEER_FILTER_ONLY);

	/** Constant for mark : <b>ADMIN_ACTOR</b>. */
	public static final String FLD_MARK_ADMIN_ACTOR = "ADMIN_ACTOR";
	public static final int fldMarkAdminActor = LyFieldInfo.getMark(FLD_MARK_ADMIN_ACTOR);

	/** Constant for mark : <b>CONSULT_ACTOR_PROFILE</b>. */
	public static final String FLD_MARK_CONSULT_ACTOR_PROFILE = "CONSULT_ACTOR_PROFILE";
	public static final int fldMarkConsultActorProfile = LyFieldInfo.getMark(FLD_MARK_CONSULT_ACTOR_PROFILE);

	/** Constant for mark : <b>SET_ACTOR_PROFILE</b>. */
	public static final String FLD_MARK_SET_ACTOR_PROFILE = "SET_ACTOR_PROFILE";
	public static final int fldMarkSetActorProfile = LyFieldInfo.getMark(FLD_MARK_SET_ACTOR_PROFILE);

	/** Constant for mark : <b>GENERIC_TASK_FIELD</b>. */
	public static final String FLD_MARK_GENERIC_TASK_FIELD = "GENERIC_TASK_FIELD";
	public static final int fldMarkGenericTaskField = LyFieldInfo.getMark(FLD_MARK_GENERIC_TASK_FIELD);

	/** Constant for mark : <b>ADMIN_TASK</b>. */
	public static final String FLD_MARK_ADMIN_TASK = "ADMIN_TASK";
	public static final int fldMarkAdminTask = LyFieldInfo.getMark(FLD_MARK_ADMIN_TASK);

	/** Constant for mark : <b>HISTORY</b>. */
	public static final String FLD_MARK_HISTORY = "HISTORY";
	public static final int fldMarkHistory = LyFieldInfo.getMark(FLD_MARK_HISTORY);

	/** Constant for mark : <b>WORK_ITEMS</b>. */
	public static final String FLD_MARK_WORK_ITEMS = "WORK_ITEMS";
	public static final int fldMarkWorkItems = LyFieldInfo.getMark(FLD_MARK_WORK_ITEMS);

	/** Constant for mark : <b>SET_TASK_WS_ACTION</b>. */
	public static final String FLD_MARK_SET_TASK_WS_ACTION = "SET_TASK_WS_ACTION";
	public static final int fldMarkSetTaskWsAction = LyFieldInfo.getMark(FLD_MARK_SET_TASK_WS_ACTION);

	/** Constant for mark : <b>SUBMIT_TASK_WS_ACTION</b>. */
	public static final String FLD_MARK_SUBMIT_TASK_WS_ACTION = "SUBMIT_TASK_WS_ACTION";
	public static final int fldMarkSubmitTaskWsAction = LyFieldInfo.getMark(FLD_MARK_SUBMIT_TASK_WS_ACTION);

	/** Constant for mark : <b>REASSIGN_TASK_TO_ACTOR_WS_ACTION</b>. */
	public static final String FLD_MARK_REASSIGN_TASK_TO_ACTOR_WS_ACTION = "REASSIGN_TASK_TO_ACTOR_WS_ACTION";
	public static final int fldMarkReassignTaskToActorWsAction = LyFieldInfo.getMark(FLD_MARK_REASSIGN_TASK_TO_ACTOR_WS_ACTION);

	/** Constant for mark : <b>REASSIGN_TASK_TO_ROLE_WS_ACTION</b>. */
	public static final String FLD_MARK_REASSIGN_TASK_TO_ROLE_WS_ACTION = "REASSIGN_TASK_TO_ROLE_WS_ACTION";
	public static final int fldMarkReassignTaskToRoleWsAction = LyFieldInfo.getMark(FLD_MARK_REASSIGN_TASK_TO_ROLE_WS_ACTION);

	/** Constant for mark : <b>WORKCASE_ITEMS</b>. */
	public static final String FLD_MARK_WORKCASE_ITEMS = "WORKCASE_ITEMS";
	public static final int fldMarkWorkcaseItems = LyFieldInfo.getMark(FLD_MARK_WORKCASE_ITEMS);

	/** Constant for mark : <b>ADMIN_WORKCASE</b>. */
	public static final String FLD_MARK_ADMIN_WORKCASE = "ADMIN_WORKCASE";
	public static final int fldMarkAdminWorkcase = LyFieldInfo.getMark(FLD_MARK_ADMIN_WORKCASE);

	/** Constant for mark : <b>SET_WORKCASE_WS_ACTION</b>. */
	public static final String FLD_MARK_SET_WORKCASE_WS_ACTION = "SET_WORKCASE_WS_ACTION";
	public static final int fldMarkSetWorkcaseWsAction = LyFieldInfo.getMark(FLD_MARK_SET_WORKCASE_WS_ACTION);

	/** Constant for mark : <b>GESTION_INTERVENTION_FILTER</b>. */
	public static final String FLD_MARK_GESTION_INTERVENTION_FILTER = "GESTION_INTERVENTION_FILTER";
	public static final int fldMarkGestionInterventionFilter = LyFieldInfo.getMark(FLD_MARK_GESTION_INTERVENTION_FILTER);

}
