program weotyphon;

{$MODE Delphi}

uses
  Forms, Interfaces, fonctions_ini, U_XMLFenetrePrincipale,
  LCLType, fonctions_manibx,
  fonctions_system,
  fonctions_xml,
  fonctions_dialogs,
  LazFileUtils,
  LazUTF8,
  FileUtil,
  dialogs,
  u_multidonnees, U_CustomFrameWork,
  fonctions_ObjetsXML, LResources;

{$IFNDEF FPC}
{$R *.res}
{$R WindowsXP.res}
var
	gc_classname: Array[0..255] of char;
	gi_result: integer;
{$ENDIF}

var fSelectDir : TOpenDialog;

{$IFNDEF FPC}{$R hotel.rc}{$ENDIF}

begin
  {$I weotyphon.lrs}
  Application.Initialize;
  gb_DataHasXML:=False;
  gs_LeonardiSubDir := '..'+DirectorySeparator+'Leon' +DirectorySeparator;
   GS_SUBDIR_IMAGES_SOFT := '..'+DirectorySeparator+'..'+DirectorySeparator+'images'+DirectorySeparator;
  fSelectDir := TOpenDialog.Create(Application);
  fSelectDir.InitialDir:=gs_LeonardiSubDir;
  fSelectDir.Filter:='*.ini';
  if fSelectDir.Execute then
   Begin
    gs_LeonardiSubDir := ExtractFileDir(fSelectDir.FileName);
    gs_NomApp:=ExtractFileNameOnly(fSelectDir.FileName);
    if pos('_',gs_NomApp) > 0 Then
      {$IFDEF WIN32}
      gs_NomApp:=copy(gs_NomApp,pos('_',gs_NomApp)+1,pos ('.',gs_NomApp)-1);
      {$ELSE}
      gs_NomApp:=copy(gs_NomApp,pos('_',gs_NomApp)+1,length(gs_NomApp));
      {$ENDIF}
   end;
  fSelectDir.Destroy;
  {$IFNDEF FPC}
  Application.Title := 'Test';

  // Met dans gc_classname le nom de la class de l'application
  GetClassName(Application.handle, gc_classname, 254);

  // Renvoie le Handle de la première fenêtre de Class (type) gc_classname
  // et de titre TitreApplication (0 s'il n'y en a pas)
  gi_result := FindWindow(gc_classname, 'GENERIQUE');

  if gi_result <> 0 then   // Une instance existante trouvée
    begin
      ShowWindow(gi_result, SW_RESTORE);
      SetForegroundWindow(gi_result);
      Application.Terminate;
      Exit;
    end; // Première création
  {$ENDIF}

  doShowWorking(fs_GetSoftName);

  try
    gb_DicoGroupementMontreCaption := False ;
    if not fb_ReadIni ( FIniMain ) Then
     Begin
      MyShowMessage ( 'XML file not initalized.' );
      Application.Terminate;
     end;
    Application.CreateForm(TF_FenetrePrincipale, F_FenetrePrincipale);
  finally
  end;
  Application.Run;
//  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + 'heaptrclog.txt');

end.
